// -----------------------------------------------------------------
//~ 
//~ This file heavily depends on "ans2uni.con"
//~ <http://www.heiner-eichmann.de/gedcom/ans2uni.con.zip>
//~ of
//~ Heiner Eichmann's GEDCOM 5.5 Sample Page: ANSEL to Unicode conversion 
//~ at  <http://www.heiner-eichmann.de/gedcom/charintr.htm>
//~ and <http://www.heiner-eichmann.de/gedcom/ans2uni.htm>
//~ 
// -----------------------------------------------------------------
//~ 
//~ Copyright (c) 2008 ff. Stefan Unterstein <http://unterstein.net/ged1212xml>
//~ 
//~ This program is free software: you can redistribute it and/or modify
//~ it under the terms of the GNU General Public License Version 3 or any
//~ later version published by the Free Software Foundation. See the current 
//~ License at <http://www.gnu.org/licenses/gpl.html> for more details.
//~ 
//~ The program is distributed in the hope that it will be useful,
//~ but WITHOUT ANY WARRANTY; without even the implied warranty of
//~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//~ 
// -----------------------------------------------------------------

var ANSELentify = function(A2Estring) {
	return A2Estring.replace(a2e.tripleComposits, function($0,$1,$2,$3) { return ($0 in a2e) ? a2e[$0] : $0 ; }).replace(a2e.doubleComposits, function($0,$1,$2,$3) { return ($0 in a2e) ? a2e[$0] : $0 ; }).replace(a2e.singleCharacter, function($0,$1,$2,$3) { return ($0 in a2e) ? a2e[$0] : $0 ; });
}
var a2e = {
	"tripleComposits" : /([\u00E0-\u00FF][\u00E0-\u00FF][\u0040-\u0080])/g,
	"doubleComposits" : /([\u00E0-\u00FF][\u0040-\u0080])/g,
	"singleCharacter" : /([\u00A0-\u00CF\u00E0-\u00FF])/g,
	"\u00A1":"&#x0141;", 		//latin capital letter L with stroke
	"\u00A2":"&#x00D8;", 		//latin capital letter O with stroke
	"\u00A3":"&#x0110;", 		//latin capital letter D with stroke
	"\u00A4":"&#x00DE;", 		//latin capital letter thorn
	"\u00A5":"&#x00C6;", 		//latin capital letter AE
	"\u00A6":"&#x0152;", 		//latin capital ligature OE
	"\u00A7":"&#x02B9;", 		//modified letter prime
	"\u00A8":"&#x00B7;", 		//middle dot
	"\u00A9":"&#x266D;", 		//music flat sign
	"\u00AA":"&#x00AE;", 		//registered sign
	"\u00AB":"&#x00B1;", 		//plus-minus sign
	"\u00AC":"&#x01A0;", 		//latin capital letter O with horn
	"\u00AD":"&#x01AF;", 		//latin capital letter U with horn
	"\u00AE":"&#x02BC;", 		//modifier letter apostrophe
	"\u00B0":"&#x02BB;", 		//modifier letter turned comma
	"\u00B1":"&#x0142;", 		//latin small letter L with stroke
	"\u00B2":"&#x00F8;", 		//latin small letter O with stroke
	"\u00B3":"&#x0111;", 		//latin small letter D with stroke
	"\u00B4":"&#x00FE;", 		//latin small letter thorn
	"\u00B5":"&#x00E6;", 		//latin small letter AE
	"\u00B6":"&#x0153;", 		//latin small ligature OE
	"\u00B7":"&#x02BA;", 		//modified letter double prime
	"\u00B8":"&#x0131;", 		//latin small letter dotless i
	"\u00B9":"&#x00A3;", 		//pound sign
	"\u00BA":"&#x00F0;", 		//latin small letter eth
	"\u00BC":"&#x01A1;", 		//latin small letter O with horn
	"\u00BD":"&#x01B0;", 		//latin small letter U with horn
	"\u00C0":"&#x00B0;", 		//degree sign
	"\u00C1":"&#x2113;", 		//script small L
	"\u00C2":"&#x2117;", 		//sound recording copyright
	"\u00C3":"&#x00A9;", 		//copyright sign
	"\u00C4":"&#x266F;", 		//music sharp sign
	"\u00C5":"&#x00BF;", 		//inverted question mark
	"\u00C6":"&#x00A1;", 		//inverted exclamation mark
	"\u00CF":"&#x00DF;", 		//latin small letter sharp S

	"\u00E0\u0041":"&#x1EA2;", 		// LATIN CAPITAL LETTER A WITH HOOK ABOVE = LATIN CAPITAL LETTER A + COMBINING HOOK ABOVE
	"\u00E0\u0045":"&#x1EBA;", 		// LATIN CAPITAL LETTER E WITH HOOK ABOVE = LATIN CAPITAL LETTER E + COMBINING HOOK ABOVE
	"\u00E0\u0049":"&#x1EC8;", 		// LATIN CAPITAL LETTER I WITH HOOK ABOVE = LATIN CAPITAL LETTER I + COMBINING HOOK ABOVE
	"\u00E0\u004F":"&#x1ECE;", 		// LATIN CAPITAL LETTER O WITH HOOK ABOVE = LATIN CAPITAL LETTER O + COMBINING HOOK ABOVE
	"\u00E0\u0055":"&#x1EE6;", 		// LATIN CAPITAL LETTER U WITH HOOK ABOVE = LATIN CAPITAL LETTER U + COMBINING HOOK ABOVE
	"\u00E0\u0059":"&#x1EF6;", 		// LATIN CAPITAL LETTER Y WITH HOOK ABOVE = LATIN CAPITAL LETTER Y + COMBINING HOOK ABOVE
	"\u00E0\u0061":"&#x1EA3;", 		// LATIN SMALL LETTER A WITH HOOK ABOVE = LATIN SMALL LETTER A + COMBINING HOOK ABOVE
	"\u00E0\u0065":"&#x1EBB;", 		// LATIN SMALL LETTER E WITH HOOK ABOVE = LATIN SMALL LETTER E + COMBINING HOOK ABOVE
	"\u00E0\u0069":"&#x1EC9;", 		// LATIN SMALL LETTER I WITH HOOK ABOVE = LATIN SMALL LETTER I + COMBINING HOOK ABOVE
	"\u00E0\u006F":"&#x1ECF;", 		// LATIN SMALL LETTER O WITH HOOK ABOVE = LATIN SMALL LETTER O + COMBINING HOOK ABOVE
	"\u00E0\u0075":"&#x1EE7;", 		// LATIN SMALL LETTER U WITH HOOK ABOVE = LATIN SMALL LETTER U + COMBINING HOOK ABOVE
	"\u00E0\u0079":"&#x1EF7;", 		// LATIN SMALL LETTER Y WITH HOOK ABOVE = LATIN SMALL LETTER Y + COMBINING HOOK ABOVE
	"\u00E0\u00E3\u0041":"&#x1EA8;", 		// LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	"\u00E0\u00E3\u0045":"&#x1EC2;", 		// LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	"\u00E0\u00E3\u004F":"&#x1ED4;", 		// LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	"\u00E0\u00E3\u0061":"&#x1EA9;", 		// LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	"\u00E0\u00E3\u0065":"&#x1EC3;", 		// LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	"\u00E0\u00E3\u006F":"&#x1ED5;", 		// LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	"\u00E0\u00E6\u0041":"&#x1EB2;", 		// LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING HOOK ABOVE
	"\u00E0\u00E6\u0061":"&#x1EB3;", 		// LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING HOOK ABOVE
	"\u00E0":"&#x0309;", 		//combining hook above

	"\u00E1\u0041":"&#x00C0;", 		// LATIN CAPITAL LETTER A WITH GRAVE = LATIN CAPITAL LETTER A + COMBINING GRAVE ACCENT
	"\u00E1\u0045":"&#x00C8;", 		// LATIN CAPITAL LETTER E WITH GRAVE = LATIN CAPITAL LETTER E + COMBINING GRAVE ACCENT
	"\u00E1\u0049":"&#x00CC;", 		// LATIN CAPITAL LETTER I WITH GRAVE = LATIN CAPITAL LETTER I + COMBINING GRAVE ACCENT
	"\u00E1\u004F":"&#x00D2;", 		// LATIN CAPITAL LETTER O WITH GRAVE = LATIN CAPITAL LETTER O + COMBINING GRAVE ACCENT
	"\u00E1\u0055":"&#x00D9;", 		// LATIN CAPITAL LETTER U WITH GRAVE = LATIN CAPITAL LETTER U + COMBINING GRAVE ACCENT
	"\u00E1\u0057":"&#x1E80;", 		// LATIN CAPITAL LETTER W WITH GRAVE = LATIN CAPITAL LETTER W + COMBINING GRAVE ACCENT
	"\u00E1\u0059":"&#x1EF2;", 		// LATIN CAPITAL LETTER Y WITH GRAVE = LATIN CAPITAL LETTER Y + COMBINING GRAVE ACCENT
	"\u00E1\u0061":"&#x00E0;", 		// LATIN SMALL LETTER A WITH GRAVE = LATIN SMALL LETTER A + COMBINING GRAVE ACCENT
	"\u00E1\u0065":"&#x00E8;", 		// LATIN SMALL LETTER E WITH GRAVE = LATIN SMALL LETTER E + COMBINING GRAVE ACCENT
	"\u00E1\u0069":"&#x00EC;", 		// LATIN SMALL LETTER I WITH GRAVE = LATIN SMALL LETTER I + COMBINING GRAVE ACCENT
	"\u00E1\u006F":"&#x00F2;", 		// LATIN SMALL LETTER O WITH GRAVE = LATIN SMALL LETTER O + COMBINING GRAVE ACCENT
	"\u00E1\u0075":"&#x00F9;", 		// LATIN SMALL LETTER U WITH GRAVE = LATIN SMALL LETTER U + COMBINING GRAVE ACCENT
	"\u00E1\u0077":"&#x1E81;", 		// LATIN SMALL LETTER W WITH GRAVE = LATIN SMALL LETTER W + COMBINING GRAVE ACCENT
	"\u00E1\u0079":"&#x1EF3;", 		// LATIN SMALL LETTER Y WITH GRAVE = LATIN SMALL LETTER Y + COMBINING GRAVE ACCENT
	"\u00E1\u00E3\u0041":"&#x1EA6;", 		// LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	"\u00E1\u00E3\u0045":"&#x1EC0;", 		// LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	"\u00E1\u00E3\u004F":"&#x1ED2;", 		// LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	"\u00E1\u00E3\u0061":"&#x1EA7;", 		// LATIN SMALL LETTER A WITH CIRCUMFLEX AND GRAVE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	"\u00E1\u00E3\u0065":"&#x1EC1;", 		// LATIN SMALL LETTER E WITH CIRCUMFLEX AND GRAVE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	"\u00E1\u00E3\u006F":"&#x1ED3;", 		// LATIN SMALL LETTER O WITH CIRCUMFLEX AND GRAVE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	"\u00E1\u00E5\u0045":"&#x1E14;", 		// LATIN CAPITAL LETTER E WITH MACRON AND GRAVE = LATIN CAPITAL LETTER E + COMBINING MACRON + COMBINING GRAVE ACCENT
	"\u00E1\u00E5\u004F":"&#x1E50;", 		// LATIN CAPITAL LETTER O WITH MACRON AND GRAVE = LATIN CAPITAL LETTER O + COMBINING MACRON + COMBINING GRAVE ACCENT
	"\u00E1\u00E5\u0065":"&#x1E15;", 		// LATIN SMALL LETTER E WITH MACRON AND GRAVE = LATIN SMALL LETTER E + COMBINING MACRON + COMBINING GRAVE ACCENT
	"\u00E1\u00E5\u006F":"&#x1E51;", 		// LATIN SMALL LETTER O WITH MACRON AND GRAVE = LATIN SMALL LETTER O + COMBINING MACRON + COMBINING GRAVE ACCENT
	"\u00E1\u00E6\u0041":"&#x1EB0;", 		// LATIN CAPITAL LETTER A WITH BREVE AND GRAVE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING GRAVE ACCENT
	"\u00E1\u00E6\u0061":"&#x1EB1;", 		// LATIN SMALL LETTER A WITH BREVE AND GRAVE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING GRAVE ACCENT
	"\u00E1\u00E8\u0055":"&#x01DB;", 		// LATIN CAPITAL LETTER U WITH DIAERESIS AND GRAVE = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING GRAVE ACCENT
	"\u00E1\u00E8\u0075":"&#x01DC;", 		// LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING GRAVE ACCENT
	"\u00E1":"&#x0300;", 		//combining grave accent

	"\u00E2\u0041":"&#x00C1;", 		// LATIN CAPITAL LETTER A WITH ACUTE = LATIN CAPITAL LETTER A + COMBINING ACUTE ACCENT
	"\u00E2\u0043":"&#x0106;", 		// LATIN CAPITAL LETTER C WITH ACUTE = LATIN CAPITAL LETTER C + COMBINING ACUTE ACCENT
	"\u00E2\u0045":"&#x00C9;", 		// LATIN CAPITAL LETTER E WITH ACUTE = LATIN CAPITAL LETTER E + COMBINING ACUTE ACCENT
	"\u00E2\u0047":"&#x01F4;", 		// LATIN CAPITAL LETTER G WITH ACUTE = LATIN CAPITAL LETTER G + COMBINING ACUTE ACCENT
	"\u00E2\u0049":"&#x00CD;", 		// LATIN CAPITAL LETTER I WITH ACUTE = LATIN CAPITAL LETTER I + COMBINING ACUTE ACCENT
	"\u00E2\u004B":"&#x1E30;", 		// LATIN CAPITAL LETTER K WITH ACUTE = LATIN CAPITAL LETTER K + COMBINING ACUTE ACCENT
	"\u00E2\u004C":"&#x0139;", 		// LATIN CAPITAL LETTER L WITH ACUTE = LATIN CAPITAL LETTER L + COMBINING ACUTE ACCENT
	"\u00E2\u004D":"&#x1E3E;", 		// LATIN CAPITAL LETTER M WITH ACUTE = LATIN CAPITAL LETTER M + COMBINING ACUTE ACCENT
	"\u00E2\u004E":"&#x0143;", 		// LATIN CAPITAL LETTER N WITH ACUTE = LATIN CAPITAL LETTER N + COMBINING ACUTE ACCENT
	"\u00E2\u004F":"&#x00D3;", 		// LATIN CAPITAL LETTER O WITH ACUTE = LATIN CAPITAL LETTER O + COMBINING ACUTE ACCENT
	"\u00E2\u0050":"&#x1E54;", 		// LATIN CAPITAL LETTER P WITH ACUTE = LATIN CAPITAL LETTER P + COMBINING ACUTE ACCENT
	"\u00E2\u0052":"&#x0154;", 		// LATIN CAPITAL LETTER R WITH ACUTE = LATIN CAPITAL LETTER R + COMBINING ACUTE ACCENT
	"\u00E2\u0053":"&#x015A;", 		// LATIN CAPITAL LETTER S WITH ACUTE = LATIN CAPITAL LETTER S + COMBINING ACUTE ACCENT
	"\u00E2\u0055":"&#x00DA;", 		// LATIN CAPITAL LETTER U WITH ACUTE = LATIN CAPITAL LETTER U + COMBINING ACUTE ACCENT
	"\u00E2\u0057":"&#x1E82;", 		// LATIN CAPITAL LETTER W WITH ACUTE = LATIN CAPITAL LETTER W + COMBINING ACUTE ACCENT
	"\u00E2\u0059":"&#x00DD;", 		// LATIN CAPITAL LETTER Y WITH ACUTE = LATIN CAPITAL LETTER Y + COMBINING ACUTE ACCENT
	"\u00E2\u005A":"&#x0179;", 		// LATIN CAPITAL LETTER Z WITH ACUTE = LATIN CAPITAL LETTER Z + COMBINING ACUTE ACCENT
	"\u00E2\u0061":"&#x00E1;", 		// LATIN SMALL LETTER A WITH ACUTE = LATIN SMALL LETTER A + COMBINING ACUTE ACCENT
	"\u00E2\u0063":"&#x0107;", 		// LATIN SMALL LETTER C WITH ACUTE = LATIN SMALL LETTER C + COMBINING ACUTE ACCENT
	"\u00E2\u0065":"&#x00E9;", 		// LATIN SMALL LETTER E WITH ACUTE = LATIN SMALL LETTER E + COMBINING ACUTE ACCENT
	"\u00E2\u0067":"&#x01F5;", 		// LATIN SMALL LETTER G WITH ACUTE = LATIN SMALL LETTER G + COMBINING ACUTE ACCENT
	"\u00E2\u0069":"&#x00ED;", 		// LATIN SMALL LETTER I WITH ACUTE = LATIN SMALL LETTER I + COMBINING ACUTE ACCENT
	"\u00E2\u006B":"&#x1E31;", 		// LATIN SMALL LETTER K WITH ACUTE = LATIN SMALL LETTER K + COMBINING ACUTE ACCENT
	"\u00E2\u006C":"&#x013A;", 		// LATIN SMALL LETTER L WITH ACUTE = LATIN SMALL LETTER L + COMBINING ACUTE ACCENT
	"\u00E2\u006D":"&#x1E3F;", 		// LATIN SMALL LETTER M WITH ACUTE = LATIN SMALL LETTER M + COMBINING ACUTE ACCENT
	"\u00E2\u006E":"&#x0144;", 		// LATIN SMALL LETTER N WITH ACUTE = LATIN SMALL LETTER N + COMBINING ACUTE ACCENT
	"\u00E2\u006F":"&#x00F3;", 		// LATIN SMALL LETTER O WITH ACUTE = LATIN SMALL LETTER O + COMBINING ACUTE ACCENT
	"\u00E2\u0070":"&#x1E55;", 		// LATIN SMALL LETTER P WITH ACUTE = LATIN SMALL LETTER P + COMBINING ACUTE ACCENT
	"\u00E2\u0072":"&#x0155;", 		// LATIN SMALL LETTER R WITH ACUTE = LATIN SMALL LETTER R + COMBINING ACUTE ACCENT
	"\u00E2\u0073":"&#x015B;", 		// LATIN SMALL LETTER S WITH ACUTE = LATIN SMALL LETTER S + COMBINING ACUTE ACCENT
	"\u00E2\u0075":"&#x00FA;", 		// LATIN SMALL LETTER U WITH ACUTE = LATIN SMALL LETTER U + COMBINING ACUTE ACCENT
	"\u00E2\u0077":"&#x1E83;", 		// LATIN SMALL LETTER W WITH ACUTE = LATIN SMALL LETTER W + COMBINING ACUTE ACCENT
	"\u00E2\u0079":"&#x00FD;", 		// LATIN SMALL LETTER Y WITH ACUTE = LATIN SMALL LETTER Y + COMBINING ACUTE ACCENT
	"\u00E2\u007A":"&#x017A;", 		// LATIN SMALL LETTER Z WITH ACUTE = LATIN SMALL LETTER Z + COMBINING ACUTE ACCENT
	"\u00E2\u00A5":"&#x01FC;", 		// LATIN CAPITAL LETTER AE WITH ACUTE = LATIN CAPITAL LETTER AE + COMBINING ACUTE ACCENT
	"\u00E2\u00B5":"&#x01FD;", 		// LATIN SMALL LETTER AE WITH ACUTE = LATIN SMALL LETTER AE + COMBINING ACUTE ACCENT
	"\u00E2\u00E3\u0041":"&#x1EA4;", 		// LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	"\u00E2\u00E3\u0045":"&#x1EBE;", 		// LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	"\u00E2\u00E3\u004F":"&#x1ED0;", 		// LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	"\u00E2\u00E3\u0061":"&#x1EA5;", 		// LATIN SMALL LETTER A WITH CIRCUMFLEX AND ACUTE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	"\u00E2\u00E3\u0065":"&#x1EBF;", 		// LATIN SMALL LETTER E WITH CIRCUMFLEX AND ACUTE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	"\u00E2\u00E3\u006F":"&#x1ED1;", 		// LATIN SMALL LETTER O WITH CIRCUMFLEX AND ACUTE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	"\u00E2\u00E4\u004F":"&#x1E4C;", 		// LATIN CAPITAL LETTER O WITH TILDE AND ACUTE = LATIN CAPITAL LETTER O + COMBINING TILDE + COMBINING ACUTE ACCENT
	"\u00E2\u00E4\u0055":"&#x1E78;", 		// LATIN CAPITAL LETTER U WITH TILDE AND ACUTE = LATIN CAPITAL LETTER U + COMBINING TILDE + COMBINING ACUTE ACCENT
	"\u00E2\u00E4\u006F":"&#x1E4D;", 		// LATIN SMALL LETTER O WITH TILDE AND ACUTE = LATIN SMALL LETTER O + COMBINING TILDE + COMBINING ACUTE ACCENT
	"\u00E2\u00E4\u0075":"&#x1E79;", 		// LATIN SMALL LETTER U WITH TILDE AND ACUTE = LATIN SMALL LETTER U + COMBINING TILDE + COMBINING ACUTE ACCENT
	"\u00E2\u00E5\u0045":"&#x1E16;", 		// LATIN CAPITAL LETTER E WITH MACRON AND ACUTE = LATIN CAPITAL LETTER E + COMBINING MACRON + COMBINING ACUTE ACCENT
	"\u00E2\u00E5\u004F":"&#x1E52;", 		// LATIN CAPITAL LETTER O WITH MACRON AND ACUTE = LATIN CAPITAL LETTER O + COMBINING MACRON + COMBINING ACUTE ACCENT
	"\u00E2\u00E5\u0065":"&#x1E17;", 		// LATIN SMALL LETTER E WITH MACRON AND ACUTE = LATIN SMALL LETTER E + COMBINING MACRON + COMBINING ACUTE ACCENT
	"\u00E2\u00E5\u006F":"&#x1E53;", 		// LATIN SMALL LETTER O WITH MACRON AND ACUTE = LATIN SMALL LETTER O + COMBINING MACRON + COMBINING ACUTE ACCENT
	"\u00E2\u00E6\u0041":"&#x1EAE;", 		// LATIN CAPITAL LETTER A WITH BREVE AND ACUTE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING ACUTE ACCENT
	"\u00E2\u00E6\u0061":"&#x1EAF;", 		// LATIN SMALL LETTER A WITH BREVE AND ACUTE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING ACUTE ACCENT
	"\u00E2\u00E7\u0053":"&#x1E64;", 		// LATIN CAPITAL LETTER S WITH ACUTE AND DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING ACUTE ACCENT + COMBINING DOT ABOVE
	"\u00E2\u00E7\u0073":"&#x1E65;", 		// LATIN SMALL LETTER S WITH ACUTE AND DOT ABOVE = LATIN SMALL LETTER S + COMBINING ACUTE ACCENT + COMBINING DOT ABOVE
	"\u00E2\u00E8\u0049":"&#x1E2E;", 		// LATIN CAPITAL LETTER I WITH DIAERESIS AND ACUTE = LATIN CAPITAL LETTER I + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	"\u00E2\u00E8\u0055":"&#x01D7;", 		// LATIN CAPITAL LETTER U WITH DIAERESIS AND ACUTE = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	"\u00E2\u00E8\u0069":"&#x1E2F;", 		// LATIN SMALL LETTER I WITH DIAERESIS AND ACUTE = LATIN SMALL LETTER I + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	"\u00E2\u00E8\u0075":"&#x01D8;", 		// LATIN SMALL LETTER U WITH DIAERESIS AND ACUTE = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	"\u00E2\u00EA\u0041":"&#x01FA;", 		// LATIN CAPITAL LETTER A WITH RING ABOVE AND ACUTE = LATIN CAPITAL LETTER A + COMBINING RING ABOVE + COMBINING ACUTE ACCENT
	"\u00E2\u00EA\u0061":"&#x01FB;", 		// LATIN SMALL LETTER A WITH RING ABOVE AND ACUTE = LATIN SMALL LETTER A + COMBINING RING ABOVE + COMBINING ACUTE ACCENT
	"\u00E2\u00F0\u0043":"&#x1E08;", 		// LATIN CAPITAL LETTER C WITH CEDILLA AND ACUTE = LATIN CAPITAL LETTER C + COMBINING CEDILLA + COMBINING ACUTE ACCENT
	"\u00E2\u00F0\u0063":"&#x1E09;", 		// LATIN SMALL LETTER C WITH CEDILLA AND ACUTE = LATIN SMALL LETTER C + COMBINING CEDILLA + COMBINING ACUTE ACCENT
	"\u00E2":"&#x0301;", 		//combining acute accent

	"\u00E3\u0041":"&#x00C2;", 		// LATIN CAPITAL LETTER A WITH CIRCUMFLEX = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0043":"&#x0108;", 		// LATIN CAPITAL LETTER C WITH CIRCUMFLEX = LATIN CAPITAL LETTER C + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0045":"&#x00CA;", 		// LATIN CAPITAL LETTER E WITH CIRCUMFLEX = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0047":"&#x011C;", 		// LATIN CAPITAL LETTER G WITH CIRCUMFLEX = LATIN CAPITAL LETTER G + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0048":"&#x0124;", 		// LATIN CAPITAL LETTER H WITH CIRCUMFLEX = LATIN CAPITAL LETTER H + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0049":"&#x00CE;", 		// LATIN CAPITAL LETTER I WITH CIRCUMFLEX = LATIN CAPITAL LETTER I + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u004A":"&#x0134;", 		// LATIN CAPITAL LETTER J WITH CIRCUMFLEX = LATIN CAPITAL LETTER J + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u004F":"&#x00D4;", 		// LATIN CAPITAL LETTER O WITH CIRCUMFLEX = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0053":"&#x015C;", 		// LATIN CAPITAL LETTER S WITH CIRCUMFLEX = LATIN CAPITAL LETTER S + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0055":"&#x00DB;", 		// LATIN CAPITAL LETTER U WITH CIRCUMFLEX = LATIN CAPITAL LETTER U + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0057":"&#x0174;", 		// LATIN CAPITAL LETTER W WITH CIRCUMFLEX = LATIN CAPITAL LETTER W + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0059":"&#x0176;", 		// LATIN CAPITAL LETTER Y WITH CIRCUMFLEX = LATIN CAPITAL LETTER Y + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u005A":"&#x1E90;", 		// LATIN CAPITAL LETTER Z WITH CIRCUMFLEX = LATIN CAPITAL LETTER Z + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0061":"&#x00E2;", 		// LATIN SMALL LETTER A WITH CIRCUMFLEX = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0063":"&#x0109;", 		// LATIN SMALL LETTER C WITH CIRCUMFLEX = LATIN SMALL LETTER C + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0065":"&#x00EA;", 		// LATIN SMALL LETTER E WITH CIRCUMFLEX = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0067":"&#x011D;", 		// LATIN SMALL LETTER G WITH CIRCUMFLEX = LATIN SMALL LETTER G + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0068":"&#x0125;", 		// LATIN SMALL LETTER H WITH CIRCUMFLEX = LATIN SMALL LETTER H + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0069":"&#x00EE;", 		// LATIN SMALL LETTER I WITH CIRCUMFLEX = LATIN SMALL LETTER I + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u006A":"&#x0135;", 		// LATIN SMALL LETTER J WITH CIRCUMFLEX = LATIN SMALL LETTER J + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u006F":"&#x00F4;", 		// LATIN SMALL LETTER O WITH CIRCUMFLEX = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0073":"&#x015D;", 		// LATIN SMALL LETTER S WITH CIRCUMFLEX = LATIN SMALL LETTER S + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0075":"&#x00FB;", 		// LATIN SMALL LETTER U WITH CIRCUMFLEX = LATIN SMALL LETTER U + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0077":"&#x0175;", 		// LATIN SMALL LETTER W WITH CIRCUMFLEX = LATIN SMALL LETTER W + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u0079":"&#x0177;", 		// LATIN SMALL LETTER Y WITH CIRCUMFLEX = LATIN SMALL LETTER Y + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u007A":"&#x1E91;", 		// LATIN SMALL LETTER Z WITH CIRCUMFLEX = LATIN SMALL LETTER Z + COMBINING CIRCUMFLEX ACCENT
	"\u00E3\u00E0\u0041":"&#x1EA8;", 		// LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	"\u00E3\u00E0\u0045":"&#x1EC2;", 		// LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	"\u00E3\u00E0\u004F":"&#x1ED4;", 		// LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	"\u00E3\u00E0\u0061":"&#x1EA9;", 		// LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	"\u00E3\u00E0\u0065":"&#x1EC3;", 		// LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	"\u00E3\u00E0\u006F":"&#x1ED5;", 		// LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	"\u00E3\u00E1\u0041":"&#x1EA6;", 		// LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	"\u00E3\u00E1\u0045":"&#x1EC0;", 		// LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	"\u00E3\u00E1\u004F":"&#x1ED2;", 		// LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	"\u00E3\u00E1\u0061":"&#x1EA7;", 		// LATIN SMALL LETTER A WITH CIRCUMFLEX AND GRAVE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	"\u00E3\u00E1\u0065":"&#x1EC1;", 		// LATIN SMALL LETTER E WITH CIRCUMFLEX AND GRAVE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	"\u00E3\u00E1\u006F":"&#x1ED3;", 		// LATIN SMALL LETTER O WITH CIRCUMFLEX AND GRAVE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	"\u00E3\u00E2\u0041":"&#x1EA4;", 		// LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	"\u00E3\u00E2\u0045":"&#x1EBE;", 		// LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	"\u00E3\u00E2\u004F":"&#x1ED0;", 		// LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	"\u00E3\u00E2\u0061":"&#x1EA5;", 		// LATIN SMALL LETTER A WITH CIRCUMFLEX AND ACUTE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	"\u00E3\u00E2\u0065":"&#x1EBF;", 		// LATIN SMALL LETTER E WITH CIRCUMFLEX AND ACUTE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	"\u00E3\u00E2\u006F":"&#x1ED1;", 		// LATIN SMALL LETTER O WITH CIRCUMFLEX AND ACUTE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	"\u00E3\u00E4\u0041":"&#x1EAA;", 		// LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	"\u00E3\u00E4\u0045":"&#x1EC4;", 		// LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	"\u00E3\u00E4\u004F":"&#x1ED6;", 		// LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	"\u00E3\u00E4\u0061":"&#x1EAB;", 		// LATIN SMALL LETTER A WITH CIRCUMFLEX AND TILDE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	"\u00E3\u00E4\u0065":"&#x1EC5;", 		// LATIN SMALL LETTER E WITH CIRCUMFLEX AND TILDE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	"\u00E3\u00E4\u006F":"&#x1ED7;", 		// LATIN SMALL LETTER O WITH CIRCUMFLEX AND TILDE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	"\u00E3\u00F2\u0041":"&#x1EAC;", 		// LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	"\u00E3\u00F2\u0045":"&#x1EC6;", 		// LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	"\u00E3\u00F2\u004F":"&#x1ED8;", 		// LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	"\u00E3\u00F2\u0061":"&#x1EAD;", 		// LATIN SMALL LETTER A WITH CIRCUMFLEX AND DOT BELOW = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	"\u00E3\u00F2\u0065":"&#x1EC7;", 		// LATIN SMALL LETTER E WITH CIRCUMFLEX AND DOT BELOW = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	"\u00E3\u00F2\u006F":"&#x1ED9;", 		// LATIN SMALL LETTER O WITH CIRCUMFLEX AND DOT BELOW = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	"\u00E3":"&#x0302;", 		//combining circumflex accent

	"\u00E4\u0041":"&#x00C3;", 		// LATIN CAPITAL LETTER A WITH TILDE = LATIN CAPITAL LETTER A + COMBINING TILDE
	"\u00E4\u0045":"&#x1EBC;", 		// LATIN CAPITAL LETTER E WITH TILDE = LATIN CAPITAL LETTER E + COMBINING TILDE
	"\u00E4\u0049":"&#x0128;", 		// LATIN CAPITAL LETTER I WITH TILDE = LATIN CAPITAL LETTER I + COMBINING TILDE
	"\u00E4\u004E":"&#x00D1;", 		// LATIN CAPITAL LETTER N WITH TILDE = LATIN CAPITAL LETTER N + COMBINING TILDE
	"\u00E4\u004F":"&#x00D5;", 		// LATIN CAPITAL LETTER O WITH TILDE = LATIN CAPITAL LETTER O + COMBINING TILDE
	"\u00E4\u0055":"&#x0168;", 		// LATIN CAPITAL LETTER U WITH TILDE = LATIN CAPITAL LETTER U + COMBINING TILDE
	"\u00E4\u0056":"&#x1E7C;", 		// LATIN CAPITAL LETTER V WITH TILDE = LATIN CAPITAL LETTER V + COMBINING TILDE
	"\u00E4\u0059":"&#x1EF8;", 		// LATIN CAPITAL LETTER Y WITH TILDE = LATIN CAPITAL LETTER Y + COMBINING TILDE
	"\u00E4\u0061":"&#x00E3;", 		// LATIN SMALL LETTER A WITH TILDE = LATIN SMALL LETTER A + COMBINING TILDE
	"\u00E4\u0065":"&#x1EBD;", 		// LATIN SMALL LETTER E WITH TILDE = LATIN SMALL LETTER E + COMBINING TILDE
	"\u00E4\u0069":"&#x0129;", 		// LATIN SMALL LETTER I WITH TILDE = LATIN SMALL LETTER I + COMBINING TILDE
	"\u00E4\u006E":"&#x00F1;", 		// LATIN SMALL LETTER N WITH TILDE = LATIN SMALL LETTER N + COMBINING TILDE
	"\u00E4\u006F":"&#x00F5;", 		// LATIN SMALL LETTER O WITH TILDE = LATIN SMALL LETTER O + COMBINING TILDE
	"\u00E4\u0075":"&#x0169;", 		// LATIN SMALL LETTER U WITH TILDE = LATIN SMALL LETTER U + COMBINING TILDE
	"\u00E4\u0076":"&#x1E7D;", 		// LATIN SMALL LETTER V WITH TILDE = LATIN SMALL LETTER V + COMBINING TILDE
	"\u00E4\u0079":"&#x1EF9;", 		// LATIN SMALL LETTER Y WITH TILDE = LATIN SMALL LETTER Y + COMBINING TILDE
	"\u00E4\u00E2\u004F":"&#x1E4C;", 		// LATIN CAPITAL LETTER O WITH TILDE AND ACUTE = LATIN CAPITAL LETTER O + COMBINING TILDE + COMBINING ACUTE ACCENT
	"\u00E4\u00E2\u0055":"&#x1E78;", 		// LATIN CAPITAL LETTER U WITH TILDE AND ACUTE = LATIN CAPITAL LETTER U + COMBINING TILDE + COMBINING ACUTE ACCENT
	"\u00E4\u00E2\u006F":"&#x1E4D;", 		// LATIN SMALL LETTER O WITH TILDE AND ACUTE = LATIN SMALL LETTER O + COMBINING TILDE + COMBINING ACUTE ACCENT
	"\u00E4\u00E2\u0075":"&#x1E79;", 		// LATIN SMALL LETTER U WITH TILDE AND ACUTE = LATIN SMALL LETTER U + COMBINING TILDE + COMBINING ACUTE ACCENT
	"\u00E4\u00E3\u0041":"&#x1EAA;", 		// LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	"\u00E4\u00E3\u0045":"&#x1EC4;", 		// LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	"\u00E4\u00E3\u004F":"&#x1ED6;", 		// LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	"\u00E4\u00E3\u0061":"&#x1EAB;", 		// LATIN SMALL LETTER A WITH CIRCUMFLEX AND TILDE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	"\u00E4\u00E3\u0065":"&#x1EC5;", 		// LATIN SMALL LETTER E WITH CIRCUMFLEX AND TILDE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	"\u00E4\u00E3\u006F":"&#x1ED7;", 		// LATIN SMALL LETTER O WITH CIRCUMFLEX AND TILDE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	"\u00E4\u00E6\u0041":"&#x1EB4;", 		// LATIN CAPITAL LETTER A WITH BREVE AND TILDE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING TILDE
	"\u00E4\u00E6\u0061":"&#x1EB5;", 		// LATIN SMALL LETTER A WITH BREVE AND TILDE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING TILDE
	"\u00E4\u00E8\u004F":"&#x1E4E;", 		// LATIN CAPITAL LETTER O WITH TILDE AND DIAERESIS = LATIN CAPITAL LETTER O + COMBINING TILDE + COMBINING DIAERESIS
	"\u00E4\u00E8\u006F":"&#x1E4F;", 		// LATIN SMALL LETTER O WITH TILDE AND DIAERESIS = LATIN SMALL LETTER O + COMBINING TILDE + COMBINING DIAERESIS
	"\u00E4":"&#x0303;", 		//combining tilde

	"\u00E5\u0041":"&#x0100;", 		// LATIN CAPITAL LETTER A WITH MACRON = LATIN CAPITAL LETTER A + COMBINING MACRON
	"\u00E5\u0045":"&#x0112;", 		// LATIN CAPITAL LETTER E WITH MACRON = LATIN CAPITAL LETTER E + COMBINING MACRON
	"\u00E5\u0047":"&#x1E20;", 		// LATIN CAPITAL LETTER G WITH MACRON = LATIN CAPITAL LETTER G + COMBINING MACRON
	"\u00E5\u0049":"&#x012A;", 		// LATIN CAPITAL LETTER I WITH MACRON = LATIN CAPITAL LETTER I + COMBINING MACRON
	"\u00E5\u004F":"&#x014C;", 		// LATIN CAPITAL LETTER O WITH MACRON = LATIN CAPITAL LETTER O + COMBINING MACRON
	"\u00E5\u0055":"&#x016A;", 		// LATIN CAPITAL LETTER U WITH MACRON = LATIN CAPITAL LETTER U + COMBINING MACRON
	"\u00E5\u0061":"&#x0101;", 		// LATIN SMALL LETTER A WITH MACRON = LATIN SMALL LETTER A + COMBINING MACRON
	"\u00E5\u0065":"&#x0113;", 		// LATIN SMALL LETTER E WITH MACRON = LATIN SMALL LETTER E + COMBINING MACRON
	"\u00E5\u0067":"&#x1E21;", 		// LATIN SMALL LETTER G WITH MACRON = LATIN SMALL LETTER G + COMBINING MACRON
	"\u00E5\u0069":"&#x012B;", 		// LATIN SMALL LETTER I WITH MACRON = LATIN SMALL LETTER I + COMBINING MACRON
	"\u00E5\u006F":"&#x014D;", 		// LATIN SMALL LETTER O WITH MACRON = LATIN SMALL LETTER O + COMBINING MACRON
	"\u00E5\u0075":"&#x016B;", 		// LATIN SMALL LETTER U WITH MACRON = LATIN SMALL LETTER U + COMBINING MACRON
	"\u00E5\u00A5":"&#x01E2;", 		// LATIN CAPITAL LETTER AE WITH MACRON = LATIN CAPITAL LETTER AE + COMBINING MACRON
	"\u00E5\u00B5":"&#x01E3;", 		// LATIN SMALL LETTER AE WITH MACRON = LATIN SMALL LETTER AE + COMBINING MACRON
	"\u00E5\u00E1\u0045":"&#x1E14;", 		// LATIN CAPITAL LETTER E WITH MACRON AND GRAVE = LATIN CAPITAL LETTER E + COMBINING MACRON + COMBINING GRAVE ACCENT
	"\u00E5\u00E1\u004F":"&#x1E50;", 		// LATIN CAPITAL LETTER O WITH MACRON AND GRAVE = LATIN CAPITAL LETTER O + COMBINING MACRON + COMBINING GRAVE ACCENT
	"\u00E5\u00E1\u0065":"&#x1E15;", 		// LATIN SMALL LETTER E WITH MACRON AND GRAVE = LATIN SMALL LETTER E + COMBINING MACRON + COMBINING GRAVE ACCENT
	"\u00E5\u00E1\u006F":"&#x1E51;", 		// LATIN SMALL LETTER O WITH MACRON AND GRAVE = LATIN SMALL LETTER O + COMBINING MACRON + COMBINING GRAVE ACCENT
	"\u00E5\u00E2\u0045":"&#x1E16;", 		// LATIN CAPITAL LETTER E WITH MACRON AND ACUTE = LATIN CAPITAL LETTER E + COMBINING MACRON + COMBINING ACUTE ACCENT
	"\u00E5\u00E2\u004F":"&#x1E52;", 		// LATIN CAPITAL LETTER O WITH MACRON AND ACUTE = LATIN CAPITAL LETTER O + COMBINING MACRON + COMBINING ACUTE ACCENT
	"\u00E5\u00E2\u0065":"&#x1E17;", 		// LATIN SMALL LETTER E WITH MACRON AND ACUTE = LATIN SMALL LETTER E + COMBINING MACRON + COMBINING ACUTE ACCENT
	"\u00E5\u00E2\u006F":"&#x1E53;", 		// LATIN SMALL LETTER O WITH MACRON AND ACUTE = LATIN SMALL LETTER O + COMBINING MACRON + COMBINING ACUTE ACCENT
	"\u00E5\u00E7\u0041":"&#x01E0;", 		// LATIN CAPITAL LETTER A WITH DOT ABOVE AND MACRON = LATIN CAPITAL LETTER A + COMBINING DOT ABOVE + COMBINING MACRON
	"\u00E5\u00E7\u0061":"&#x01E1;", 		// LATIN SMALL LETTER A WITH DOT ABOVE AND MACRON = LATIN SMALL LETTER A + COMBINING DOT ABOVE + COMBINING MACRON
	"\u00E5\u00E8\u0041":"&#x01DE;", 		// LATIN CAPITAL LETTER A WITH DIAERESIS AND MACRON = LATIN CAPITAL LETTER A + COMBINING DIAERESIS + COMBINING MACRON
	"\u00E5\u00E8\u0055":"&#x1E7A;", 		// LATIN CAPITAL LETTER U WITH DIAERESIS AND MACRON = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING MACRON
	"\u00E5\u00E8\u0061":"&#x01DF;", 		// LATIN SMALL LETTER A WITH DIAERESIS AND MACRON = LATIN SMALL LETTER A + COMBINING DIAERESIS + COMBINING MACRON
	"\u00E5\u00E8\u0075":"&#x1E7B;", 		// LATIN SMALL LETTER U WITH DIAERESIS AND MACRON = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING MACRON
	"\u00E5\u00F1\u004F":"&#x01EC;", 		// LATIN CAPITAL LETTER O WITH OGONEK AND MACRON = LATIN CAPITAL LETTER O + COMBINING OGONEK + COMBINING MACRON
	"\u00E5\u00F1\u006F":"&#x01ED;", 		// LATIN SMALL LETTER O WITH OGONEK AND MACRON = LATIN SMALL LETTER O + COMBINING OGONEK + COMBINING MACRON
	"\u00E5\u00F2\u004C":"&#x1E38;", 		// LATIN CAPITAL LETTER L WITH DOT BELOW AND MACRON = LATIN CAPITAL LETTER L + COMBINING DOT BELOW + COMBINING MACRON
	"\u00E5\u00F2\u0052":"&#x1E5C;", 		// LATIN CAPITAL LETTER R WITH DOT BELOW AND MACRON = LATIN CAPITAL LETTER R + COMBINING DOT BELOW + COMBINING MACRON
	"\u00E5\u00F2\u006C":"&#x1E39;", 		// LATIN SMALL LETTER L WITH DOT BELOW AND MACRON = LATIN SMALL LETTER L + COMBINING DOT BELOW + COMBINING MACRON
	"\u00E5\u00F2\u0072":"&#x1E5D;", 		// LATIN SMALL LETTER R WITH DOT BELOW AND MACRON = LATIN SMALL LETTER R + COMBINING DOT BELOW + COMBINING MACRON
	"\u00E5":"&#x0304;", 		//combining macron

	"\u00E6\u0041":"&#x0102;", 		// LATIN CAPITAL LETTER A WITH BREVE = LATIN CAPITAL LETTER A + COMBINING BREVE
	"\u00E6\u0045":"&#x0114;", 		// LATIN CAPITAL LETTER E WITH BREVE = LATIN CAPITAL LETTER E + COMBINING BREVE
	"\u00E6\u0047":"&#x011E;", 		// LATIN CAPITAL LETTER G WITH BREVE = LATIN CAPITAL LETTER G + COMBINING BREVE
	"\u00E6\u0049":"&#x012C;", 		// LATIN CAPITAL LETTER I WITH BREVE = LATIN CAPITAL LETTER I + COMBINING BREVE
	"\u00E6\u004F":"&#x014E;", 		// LATIN CAPITAL LETTER O WITH BREVE = LATIN CAPITAL LETTER O + COMBINING BREVE
	"\u00E6\u0055":"&#x016C;", 		// LATIN CAPITAL LETTER U WITH BREVE = LATIN CAPITAL LETTER U + COMBINING BREVE
	"\u00E6\u0061":"&#x0103;", 		// LATIN SMALL LETTER A WITH BREVE = LATIN SMALL LETTER A + COMBINING BREVE
	"\u00E6\u0065":"&#x0115;", 		// LATIN SMALL LETTER E WITH BREVE = LATIN SMALL LETTER E + COMBINING BREVE
	"\u00E6\u0067":"&#x011F;", 		// LATIN SMALL LETTER G WITH BREVE = LATIN SMALL LETTER G + COMBINING BREVE
	"\u00E6\u0069":"&#x012D;", 		// LATIN SMALL LETTER I WITH BREVE = LATIN SMALL LETTER I + COMBINING BREVE
	"\u00E6\u006F":"&#x014F;", 		// LATIN SMALL LETTER O WITH BREVE = LATIN SMALL LETTER O + COMBINING BREVE
	"\u00E6\u0075":"&#x016D;", 		// LATIN SMALL LETTER U WITH BREVE = LATIN SMALL LETTER U + COMBINING BREVE
	"\u00E6\u00E0\u0041":"&#x1EB2;", 		// LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING HOOK ABOVE
	"\u00E6\u00E0\u0061":"&#x1EB3;", 		// LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING HOOK ABOVE
	"\u00E6\u00E1\u0041":"&#x1EB0;", 		// LATIN CAPITAL LETTER A WITH BREVE AND GRAVE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING GRAVE ACCENT
	"\u00E6\u00E1\u0061":"&#x1EB1;", 		// LATIN SMALL LETTER A WITH BREVE AND GRAVE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING GRAVE ACCENT
	"\u00E6\u00E2\u0041":"&#x1EAE;", 		// LATIN CAPITAL LETTER A WITH BREVE AND ACUTE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING ACUTE ACCENT
	"\u00E6\u00E2\u0061":"&#x1EAF;", 		// LATIN SMALL LETTER A WITH BREVE AND ACUTE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING ACUTE ACCENT
	"\u00E6\u00E4\u0041":"&#x1EB4;", 		// LATIN CAPITAL LETTER A WITH BREVE AND TILDE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING TILDE
	"\u00E6\u00E4\u0061":"&#x1EB5;", 		// LATIN SMALL LETTER A WITH BREVE AND TILDE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING TILDE
	"\u00E6\u00F0\u0045":"&#x1E1C;", 		// LATIN CAPITAL LETTER E WITH CEDILLA AND BREVE = LATIN CAPITAL LETTER E + COMBINING CEDILLA + COMBINING BREVE
	"\u00E6\u00F0\u0065":"&#x1E1D;", 		// LATIN SMALL LETTER E WITH CEDILLA AND BREVE = LATIN SMALL LETTER E + COMBINING CEDILLA + COMBINING BREVE
	"\u00E6\u00F2\u0041":"&#x1EB6;", 		// LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING DOT BELOW
	"\u00E6\u00F2\u0061":"&#x1EB7;", 		// LATIN SMALL LETTER A WITH BREVE AND DOT BELOW = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING DOT BELOW
	"\u00E6":"&#x0306;", 		//combining breve

	"\u00E7\u0042":"&#x1E02;", 		// LATIN CAPITAL LETTER B WITH DOT ABOVE = LATIN CAPITAL LETTER B + COMBINING DOT ABOVE
	"\u00E7\u0043":"&#x010A;", 		// LATIN CAPITAL LETTER C WITH DOT ABOVE = LATIN CAPITAL LETTER C + COMBINING DOT ABOVE
	"\u00E7\u0044":"&#x1E0A;", 		// LATIN CAPITAL LETTER D WITH DOT ABOVE = LATIN CAPITAL LETTER D + COMBINING DOT ABOVE
	"\u00E7\u0045":"&#x0116;", 		// LATIN CAPITAL LETTER E WITH DOT ABOVE = LATIN CAPITAL LETTER E + COMBINING DOT ABOVE
	"\u00E7\u0046":"&#x1E1E;", 		// LATIN CAPITAL LETTER F WITH DOT ABOVE = LATIN CAPITAL LETTER F + COMBINING DOT ABOVE
	"\u00E7\u0047":"&#x0120;", 		// LATIN CAPITAL LETTER G WITH DOT ABOVE = LATIN CAPITAL LETTER G + COMBINING DOT ABOVE
	"\u00E7\u0048":"&#x1E22;", 		// LATIN CAPITAL LETTER H WITH DOT ABOVE = LATIN CAPITAL LETTER H + COMBINING DOT ABOVE
	"\u00E7\u0049":"&#x0130;", 		// LATIN CAPITAL LETTER I WITH DOT ABOVE = LATIN CAPITAL LETTER I + COMBINING DOT ABOVE
	"\u00E7\u004D":"&#x1E40;", 		// LATIN CAPITAL LETTER M WITH DOT ABOVE = LATIN CAPITAL LETTER M + COMBINING DOT ABOVE
	"\u00E7\u004E":"&#x1E44;", 		// LATIN CAPITAL LETTER N WITH DOT ABOVE = LATIN CAPITAL LETTER N + COMBINING DOT ABOVE
	"\u00E7\u0050":"&#x1E56;", 		// LATIN CAPITAL LETTER P WITH DOT ABOVE = LATIN CAPITAL LETTER P + COMBINING DOT ABOVE
	"\u00E7\u0052":"&#x1E58;", 		// LATIN CAPITAL LETTER R WITH DOT ABOVE = LATIN CAPITAL LETTER R + COMBINING DOT ABOVE
	"\u00E7\u0053":"&#x1E60;", 		// LATIN CAPITAL LETTER S WITH DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING DOT ABOVE
	"\u00E7\u0054":"&#x1E6A;", 		// LATIN CAPITAL LETTER T WITH DOT ABOVE = LATIN CAPITAL LETTER T + COMBINING DOT ABOVE
	"\u00E7\u0057":"&#x1E86;", 		// LATIN CAPITAL LETTER W WITH DOT ABOVE = LATIN CAPITAL LETTER W + COMBINING DOT ABOVE
	"\u00E7\u0058":"&#x1E8A;", 		// LATIN CAPITAL LETTER X WITH DOT ABOVE = LATIN CAPITAL LETTER X + COMBINING DOT ABOVE
	"\u00E7\u0059":"&#x1E8E;", 		// LATIN CAPITAL LETTER Y WITH DOT ABOVE = LATIN CAPITAL LETTER Y + COMBINING DOT ABOVE
	"\u00E7\u005A":"&#x017B;", 		// LATIN CAPITAL LETTER Z WITH DOT ABOVE = LATIN CAPITAL LETTER Z + COMBINING DOT ABOVE
	"\u00E7\u0062":"&#x1E03;", 		// LATIN SMALL LETTER B WITH DOT ABOVE = LATIN SMALL LETTER B + COMBINING DOT ABOVE
	"\u00E7\u0063":"&#x010B;", 		// LATIN SMALL LETTER C WITH DOT ABOVE = LATIN SMALL LETTER C + COMBINING DOT ABOVE
	"\u00E7\u0064":"&#x1E0B;", 		// LATIN SMALL LETTER D WITH DOT ABOVE = LATIN SMALL LETTER D + COMBINING DOT ABOVE
	"\u00E7\u0065":"&#x0117;", 		// LATIN SMALL LETTER E WITH DOT ABOVE = LATIN SMALL LETTER E + COMBINING DOT ABOVE
	"\u00E7\u0066":"&#x1E1F;", 		// LATIN SMALL LETTER F WITH DOT ABOVE = LATIN SMALL LETTER F + COMBINING DOT ABOVE
	"\u00E7\u0067":"&#x0121;", 		// LATIN SMALL LETTER G WITH DOT ABOVE = LATIN SMALL LETTER G + COMBINING DOT ABOVE
	"\u00E7\u0068":"&#x1E23;", 		// LATIN SMALL LETTER H WITH DOT ABOVE = LATIN SMALL LETTER H + COMBINING DOT ABOVE
	"\u00E7\u006D":"&#x1E41;", 		// LATIN SMALL LETTER M WITH DOT ABOVE = LATIN SMALL LETTER M + COMBINING DOT ABOVE
	"\u00E7\u006E":"&#x1E45;", 		// LATIN SMALL LETTER N WITH DOT ABOVE = LATIN SMALL LETTER N + COMBINING DOT ABOVE
	"\u00E7\u0070":"&#x1E57;", 		// LATIN SMALL LETTER P WITH DOT ABOVE = LATIN SMALL LETTER P + COMBINING DOT ABOVE
	"\u00E7\u0072":"&#x1E59;", 		// LATIN SMALL LETTER R WITH DOT ABOVE = LATIN SMALL LETTER R + COMBINING DOT ABOVE
	"\u00E7\u0073":"&#x1E61;", 		// LATIN SMALL LETTER S WITH DOT ABOVE = LATIN SMALL LETTER S + COMBINING DOT ABOVE
	"\u00E7\u0074":"&#x1E6B;", 		// LATIN SMALL LETTER T WITH DOT ABOVE = LATIN SMALL LETTER T + COMBINING DOT ABOVE
	"\u00E7\u0077":"&#x1E87;", 		// LATIN SMALL LETTER W WITH DOT ABOVE = LATIN SMALL LETTER W + COMBINING DOT ABOVE
	"\u00E7\u0078":"&#x1E8B;", 		// LATIN SMALL LETTER X WITH DOT ABOVE = LATIN SMALL LETTER X + COMBINING DOT ABOVE
	"\u00E7\u0079":"&#x1E8F;", 		// LATIN SMALL LETTER Y WITH DOT ABOVE = LATIN SMALL LETTER Y + COMBINING DOT ABOVE
	"\u00E7\u007A":"&#x017C;", 		// LATIN SMALL LETTER Z WITH DOT ABOVE = LATIN SMALL LETTER Z + COMBINING DOT ABOVE
	"\u00E7\u00E2\u0053":"&#x1E64;", 		// LATIN CAPITAL LETTER S WITH ACUTE AND DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING ACUTE ACCENT + COMBINING DOT ABOVE
	"\u00E7\u00E2\u0073":"&#x1E65;", 		// LATIN SMALL LETTER S WITH ACUTE AND DOT ABOVE = LATIN SMALL LETTER S + COMBINING ACUTE ACCENT + COMBINING DOT ABOVE
	"\u00E7\u00E5\u0041":"&#x01E0;", 		// LATIN CAPITAL LETTER A WITH DOT ABOVE AND MACRON = LATIN CAPITAL LETTER A + COMBINING DOT ABOVE + COMBINING MACRON
	"\u00E7\u00E5\u0061":"&#x01E1;", 		// LATIN SMALL LETTER A WITH DOT ABOVE AND MACRON = LATIN SMALL LETTER A + COMBINING DOT ABOVE + COMBINING MACRON
	"\u00E7\u00E9\u0053":"&#x1E66;", 		// LATIN CAPITAL LETTER S WITH CARON AND DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING CARON + COMBINING DOT ABOVE
	"\u00E7\u00E9\u0073":"&#x1E67;", 		// LATIN SMALL LETTER S WITH CARON AND DOT ABOVE = LATIN SMALL LETTER S + COMBINING CARON + COMBINING DOT ABOVE
	"\u00E7\u00F2\u0053":"&#x1E68;", 		// LATIN CAPITAL LETTER S WITH DOT BELOW AND DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING DOT BELOW + COMBINING DOT ABOVE
	"\u00E7\u00F2\u0073":"&#x1E69;", 		// LATIN SMALL LETTER S WITH DOT BELOW AND DOT ABOVE = LATIN SMALL LETTER S + COMBINING DOT BELOW + COMBINING DOT ABOVE
	"\u00E7":"&#x0307;", 		//combining dot above

	"\u00E8\u0041":"&#x00C4;", 		// LATIN CAPITAL LETTER A WITH DIAERESIS = LATIN CAPITAL LETTER A + COMBINING DIAERESIS
	"\u00E8\u0045":"&#x00CB;", 		// LATIN CAPITAL LETTER E WITH DIAERESIS = LATIN CAPITAL LETTER E + COMBINING DIAERESIS
	"\u00E8\u0048":"&#x1E26;", 		// LATIN CAPITAL LETTER H WITH DIAERESIS = LATIN CAPITAL LETTER H + COMBINING DIAERESIS
	"\u00E8\u0049":"&#x00CF;", 		// LATIN CAPITAL LETTER I WITH DIAERESIS = LATIN CAPITAL LETTER I + COMBINING DIAERESIS
	"\u00E8\u004F":"&#x00D6;", 		// LATIN CAPITAL LETTER O WITH DIAERESIS = LATIN CAPITAL LETTER O + COMBINING DIAERESIS
	"\u00E8\u0055":"&#x00DC;", 		// LATIN CAPITAL LETTER U WITH DIAERESIS = LATIN CAPITAL LETTER U + COMBINING DIAERESIS
	"\u00E8\u0057":"&#x1E84;", 		// LATIN CAPITAL LETTER W WITH DIAERESIS = LATIN CAPITAL LETTER W + COMBINING DIAERESIS
	"\u00E8\u0058":"&#x1E8C;", 		// LATIN CAPITAL LETTER X WITH DIAERESIS = LATIN CAPITAL LETTER X + COMBINING DIAERESIS
	"\u00E8\u0059":"&#x0178;", 		// LATIN CAPITAL LETTER Y WITH DIAERESIS = LATIN CAPITAL LETTER Y + COMBINING DIAERESIS
	"\u00E8\u0061":"&#x00E4;", 		// LATIN SMALL LETTER A WITH DIAERESIS = LATIN SMALL LETTER A + COMBINING DIAERESIS
	"\u00E8\u0065":"&#x00EB;", 		// LATIN SMALL LETTER E WITH DIAERESIS = LATIN SMALL LETTER E + COMBINING DIAERESIS
	"\u00E8\u0068":"&#x1E27;", 		// LATIN SMALL LETTER H WITH DIAERESIS = LATIN SMALL LETTER H + COMBINING DIAERESIS
	"\u00E8\u0069":"&#x00EF;", 		// LATIN SMALL LETTER I WITH DIAERESIS = LATIN SMALL LETTER I + COMBINING DIAERESIS
	"\u00E8\u006F":"&#x00F6;", 		// LATIN SMALL LETTER O WITH DIAERESIS = LATIN SMALL LETTER O + COMBINING DIAERESIS
	"\u00E8\u0074":"&#x1E97;", 		// LATIN SMALL LETTER T WITH DIAERESIS = LATIN SMALL LETTER T + COMBINING DIAERESIS
	"\u00E8\u0075":"&#x00FC;", 		// LATIN SMALL LETTER U WITH DIAERESIS = LATIN SMALL LETTER U + COMBINING DIAERESIS
	"\u00E8\u0077":"&#x1E85;", 		// LATIN SMALL LETTER W WITH DIAERESIS = LATIN SMALL LETTER W + COMBINING DIAERESIS
	"\u00E8\u0078":"&#x1E8D;", 		// LATIN SMALL LETTER X WITH DIAERESIS = LATIN SMALL LETTER X + COMBINING DIAERESIS
	"\u00E8\u0079":"&#x00FF;", 		// LATIN SMALL LETTER Y WITH DIAERESIS = LATIN SMALL LETTER Y + COMBINING DIAERESIS
	"\u00E8\u00E1\u0055":"&#x01DB;", 		// LATIN CAPITAL LETTER U WITH DIAERESIS AND GRAVE = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING GRAVE ACCENT
	"\u00E8\u00E1\u0075":"&#x01DC;", 		// LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING GRAVE ACCENT
	"\u00E8\u00E2\u0049":"&#x1E2E;", 		// LATIN CAPITAL LETTER I WITH DIAERESIS AND ACUTE = LATIN CAPITAL LETTER I + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	"\u00E8\u00E2\u0055":"&#x01D7;", 		// LATIN CAPITAL LETTER U WITH DIAERESIS AND ACUTE = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	"\u00E8\u00E2\u0069":"&#x1E2F;", 		// LATIN SMALL LETTER I WITH DIAERESIS AND ACUTE = LATIN SMALL LETTER I + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	"\u00E8\u00E2\u0075":"&#x01D8;", 		// LATIN SMALL LETTER U WITH DIAERESIS AND ACUTE = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	"\u00E8\u00E4\u004F":"&#x1E4E;", 		// LATIN CAPITAL LETTER O WITH TILDE AND DIAERESIS = LATIN CAPITAL LETTER O + COMBINING TILDE + COMBINING DIAERESIS
	"\u00E8\u00E4\u006F":"&#x1E4F;", 		// LATIN SMALL LETTER O WITH TILDE AND DIAERESIS = LATIN SMALL LETTER O + COMBINING TILDE + COMBINING DIAERESIS
	"\u00E8\u00E5\u0041":"&#x01DE;", 		// LATIN CAPITAL LETTER A WITH DIAERESIS AND MACRON = LATIN CAPITAL LETTER A + COMBINING DIAERESIS + COMBINING MACRON
	"\u00E8\u00E5\u0055":"&#x1E7A;", 		// LATIN CAPITAL LETTER U WITH DIAERESIS AND MACRON = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING MACRON
	"\u00E8\u00E5\u0061":"&#x01DF;", 		// LATIN SMALL LETTER A WITH DIAERESIS AND MACRON = LATIN SMALL LETTER A + COMBINING DIAERESIS + COMBINING MACRON
	"\u00E8\u00E5\u0075":"&#x1E7B;", 		// LATIN SMALL LETTER U WITH DIAERESIS AND MACRON = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING MACRON
	"\u00E8\u00E9\u0055":"&#x01D9;", 		// LATIN CAPITAL LETTER U WITH DIAERESIS AND CARON = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING CARON
	"\u00E8\u00E9\u0075":"&#x01DA;", 		// LATIN SMALL LETTER U WITH DIAERESIS AND CARON = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING CARON
	"\u00E8":"&#x0308;", 		//combining diaeresis

	"\u00E9\u0041":"&#x01CD;", 		// LATIN CAPITAL LETTER A WITH CARON = LATIN CAPITAL LETTER A + COMBINING CARON
	"\u00E9\u0043":"&#x010C;", 		// LATIN CAPITAL LETTER C WITH CARON = LATIN CAPITAL LETTER C + COMBINING CARON
	"\u00E9\u0044":"&#x010E;", 		// LATIN CAPITAL LETTER D WITH CARON = LATIN CAPITAL LETTER D + COMBINING CARON
	"\u00E9\u0045":"&#x011A;", 		// LATIN CAPITAL LETTER E WITH CARON = LATIN CAPITAL LETTER E + COMBINING CARON
	"\u00E9\u0047":"&#x01E6;", 		// LATIN CAPITAL LETTER G WITH CARON = LATIN CAPITAL LETTER G + COMBINING CARON
	"\u00E9\u0049":"&#x01CF;", 		// LATIN CAPITAL LETTER I WITH CARON = LATIN CAPITAL LETTER I + COMBINING CARON
	"\u00E9\u004B":"&#x01E8;", 		// LATIN CAPITAL LETTER K WITH CARON = LATIN CAPITAL LETTER K + COMBINING CARON
	"\u00E9\u004C":"&#x013D;", 		// LATIN CAPITAL LETTER L WITH CARON = LATIN CAPITAL LETTER L + COMBINING CARON
	"\u00E9\u004E":"&#x0147;", 		// LATIN CAPITAL LETTER N WITH CARON = LATIN CAPITAL LETTER N + COMBINING CARON
	"\u00E9\u004F":"&#x01D1;", 		// LATIN CAPITAL LETTER O WITH CARON = LATIN CAPITAL LETTER O + COMBINING CARON
	"\u00E9\u0052":"&#x0158;", 		// LATIN CAPITAL LETTER R WITH CARON = LATIN CAPITAL LETTER R + COMBINING CARON
	"\u00E9\u0053":"&#x0160;", 		// LATIN CAPITAL LETTER S WITH CARON = LATIN CAPITAL LETTER S + COMBINING CARON
	"\u00E9\u0054":"&#x0164;", 		// LATIN CAPITAL LETTER T WITH CARON = LATIN CAPITAL LETTER T + COMBINING CARON
	"\u00E9\u0055":"&#x01D3;", 		// LATIN CAPITAL LETTER U WITH CARON = LATIN CAPITAL LETTER U + COMBINING CARON
	"\u00E9\u005A":"&#x017D;", 		// LATIN CAPITAL LETTER Z WITH CARON = LATIN CAPITAL LETTER Z + COMBINING CARON
	"\u00E9\u0061":"&#x01CE;", 		// LATIN SMALL LETTER A WITH CARON = LATIN SMALL LETTER A + COMBINING CARON
	"\u00E9\u0063":"&#x010D;", 		// LATIN SMALL LETTER C WITH CARON = LATIN SMALL LETTER C + COMBINING CARON
	"\u00E9\u0064":"&#x010F;", 		// LATIN SMALL LETTER D WITH CARON = LATIN SMALL LETTER D + COMBINING CARON
	"\u00E9\u0065":"&#x011B;", 		// LATIN SMALL LETTER E WITH CARON = LATIN SMALL LETTER E + COMBINING CARON
	"\u00E9\u0067":"&#x01E7;", 		// LATIN SMALL LETTER G WITH CARON = LATIN SMALL LETTER G + COMBINING CARON
	"\u00E9\u0069":"&#x01D0;", 		// LATIN SMALL LETTER I WITH CARON = LATIN SMALL LETTER I + COMBINING CARON
	"\u00E9\u006A":"&#x01F0;", 		// LATIN SMALL LETTER J WITH CARON = LATIN SMALL LETTER J + COMBINING CARON
	"\u00E9\u006B":"&#x01E9;", 		// LATIN SMALL LETTER K WITH CARON = LATIN SMALL LETTER K + COMBINING CARON
	"\u00E9\u006C":"&#x013E;", 		// LATIN SMALL LETTER L WITH CARON = LATIN SMALL LETTER L + COMBINING CARON
	"\u00E9\u006E":"&#x0148;", 		// LATIN SMALL LETTER N WITH CARON = LATIN SMALL LETTER N + COMBINING CARON
	"\u00E9\u006F":"&#x01D2;", 		// LATIN SMALL LETTER O WITH CARON = LATIN SMALL LETTER O + COMBINING CARON
	"\u00E9\u0072":"&#x0159;", 		// LATIN SMALL LETTER R WITH CARON = LATIN SMALL LETTER R + COMBINING CARON
	"\u00E9\u0073":"&#x0161;", 		// LATIN SMALL LETTER S WITH CARON = LATIN SMALL LETTER S + COMBINING CARON
	"\u00E9\u0074":"&#x0165;", 		// LATIN SMALL LETTER T WITH CARON = LATIN SMALL LETTER T + COMBINING CARON
	"\u00E9\u0075":"&#x01D4;", 		// LATIN SMALL LETTER U WITH CARON = LATIN SMALL LETTER U + COMBINING CARON
	"\u00E9\u007A":"&#x017E;", 		// LATIN SMALL LETTER Z WITH CARON = LATIN SMALL LETTER Z + COMBINING CARON
	"\u00E9\u00E7\u0053":"&#x1E66;", 		// LATIN CAPITAL LETTER S WITH CARON AND DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING CARON + COMBINING DOT ABOVE
	"\u00E9\u00E7\u0073":"&#x1E67;", 		// LATIN SMALL LETTER S WITH CARON AND DOT ABOVE = LATIN SMALL LETTER S + COMBINING CARON + COMBINING DOT ABOVE
	"\u00E9\u00E8\u0055":"&#x01D9;", 		// LATIN CAPITAL LETTER U WITH DIAERESIS AND CARON = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING CARON
	"\u00E9\u00E8\u0075":"&#x01DA;", 		// LATIN SMALL LETTER U WITH DIAERESIS AND CARON = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING CARON
	"\u00E9":"&#x030C;", 		//combining caron

	"\u00EA\u0041":"&#x00C5;", 		// LATIN CAPITAL LETTER A WITH RING ABOVE = LATIN CAPITAL LETTER A + COMBINING RING ABOVE
	"\u00EA\u0055":"&#x016E;", 		// LATIN CAPITAL LETTER U WITH RING ABOVE = LATIN CAPITAL LETTER U + COMBINING RING ABOVE
	"\u00EA\u0061":"&#x00E5;", 		// LATIN SMALL LETTER A WITH RING ABOVE = LATIN SMALL LETTER A + COMBINING RING ABOVE
	"\u00EA\u0075":"&#x016F;", 		// LATIN SMALL LETTER U WITH RING ABOVE = LATIN SMALL LETTER U + COMBINING RING ABOVE
	"\u00EA\u0077":"&#x1E98;", 		// LATIN SMALL LETTER W WITH RING ABOVE = LATIN SMALL LETTER W + COMBINING RING ABOVE
	"\u00EA\u0079":"&#x1E99;", 		// LATIN SMALL LETTER Y WITH RING ABOVE = LATIN SMALL LETTER Y + COMBINING RING ABOVE
	"\u00EA\u00E2\u0041":"&#x01FA;", 		// LATIN CAPITAL LETTER A WITH RING ABOVE AND ACUTE = LATIN CAPITAL LETTER A + COMBINING RING ABOVE + COMBINING ACUTE ACCENT
	"\u00EA\u00E2\u0061":"&#x01FB;", 		// LATIN SMALL LETTER A WITH RING ABOVE AND ACUTE = LATIN SMALL LETTER A + COMBINING RING ABOVE + COMBINING ACUTE ACCENT
	"\u00EA":"&#x030A;", 		//combining ring above

	"\u00EB":"&#xFE20;", 		//combining ligature left half

	"\u00EC":"&#xFE21;", 		//combining ligature right half

	"\u00ED":"&#x0315;", 		//combining comma above right

	"\u00EE\u004F":"&#x0150;", 		// LATIN CAPITAL LETTER O WITH DOUBLE ACUTE = LATIN CAPITAL LETTER O + COMBINING DOUBLE ACUTE ACCENT
	"\u00EE\u0055":"&#x0170;", 		// LATIN CAPITAL LETTER U WITH DOUBLE ACUTE = LATIN CAPITAL LETTER U + COMBINING DOUBLE ACUTE ACCENT
	"\u00EE\u006F":"&#x0151;", 		// LATIN SMALL LETTER O WITH DOUBLE ACUTE = LATIN SMALL LETTER O + COMBINING DOUBLE ACUTE ACCENT
	"\u00EE\u0075":"&#x0171;", 		// LATIN SMALL LETTER U WITH DOUBLE ACUTE = LATIN SMALL LETTER U + COMBINING DOUBLE ACUTE ACCENT
	"\u00EE":"&#x030B;", 		//combining double acute accent

	"\u00EF":"&#x0310;", 		//combining candrabindu

	"\u00F0\u0043":"&#x00C7;", 		// LATIN CAPITAL LETTER C WITH CEDILLA = LATIN CAPITAL LETTER C + COMBINING CEDILLA
	"\u00F0\u0044":"&#x1E10;", 		// LATIN CAPITAL LETTER D WITH CEDILLA = LATIN CAPITAL LETTER D + COMBINING CEDILLA
	"\u00F0\u0047":"&#x0122;", 		// LATIN CAPITAL LETTER G WITH CEDILLA = LATIN CAPITAL LETTER G + COMBINING CEDILLA
	"\u00F0\u0048":"&#x1E28;", 		// LATIN CAPITAL LETTER H WITH CEDILLA = LATIN CAPITAL LETTER H + COMBINING CEDILLA
	"\u00F0\u004B":"&#x0136;", 		// LATIN CAPITAL LETTER K WITH CEDILLA = LATIN CAPITAL LETTER K + COMBINING CEDILLA
	"\u00F0\u004C":"&#x013B;", 		// LATIN CAPITAL LETTER L WITH CEDILLA = LATIN CAPITAL LETTER L + COMBINING CEDILLA
	"\u00F0\u004E":"&#x0145;", 		// LATIN CAPITAL LETTER N WITH CEDILLA = LATIN CAPITAL LETTER N + COMBINING CEDILLA
	"\u00F0\u0052":"&#x0156;", 		// LATIN CAPITAL LETTER R WITH CEDILLA = LATIN CAPITAL LETTER R + COMBINING CEDILLA
	"\u00F0\u0053":"&#x015E;", 		// LATIN CAPITAL LETTER S WITH CEDILLA = LATIN CAPITAL LETTER S + COMBINING CEDILLA
	"\u00F0\u0054":"&#x0162;", 		// LATIN CAPITAL LETTER T WITH CEDILLA = LATIN CAPITAL LETTER T + COMBINING CEDILLA
	"\u00F0\u0063":"&#x00E7;", 		// LATIN SMALL LETTER C WITH CEDILLA = LATIN SMALL LETTER C + COMBINING CEDILLA
	"\u00F0\u0064":"&#x1E11;", 		// LATIN SMALL LETTER D WITH CEDILLA = LATIN SMALL LETTER D + COMBINING CEDILLA
	"\u00F0\u0067":"&#x0123;", 		// LATIN SMALL LETTER G WITH CEDILLA = LATIN SMALL LETTER G + COMBINING CEDILLA
	"\u00F0\u0068":"&#x1E29;", 		// LATIN SMALL LETTER H WITH CEDILLA = LATIN SMALL LETTER H + COMBINING CEDILLA
	"\u00F0\u006B":"&#x0137;", 		// LATIN SMALL LETTER K WITH CEDILLA = LATIN SMALL LETTER K + COMBINING CEDILLA
	"\u00F0\u006C":"&#x013C;", 		// LATIN SMALL LETTER L WITH CEDILLA = LATIN SMALL LETTER L + COMBINING CEDILLA
	"\u00F0\u006E":"&#x0146;", 		// LATIN SMALL LETTER N WITH CEDILLA = LATIN SMALL LETTER N + COMBINING CEDILLA
	"\u00F0\u0072":"&#x0157;", 		// LATIN SMALL LETTER R WITH CEDILLA = LATIN SMALL LETTER R + COMBINING CEDILLA
	"\u00F0\u0073":"&#x015F;", 		// LATIN SMALL LETTER S WITH CEDILLA = LATIN SMALL LETTER S + COMBINING CEDILLA
	"\u00F0\u0074":"&#x0163;", 		// LATIN SMALL LETTER T WITH CEDILLA = LATIN SMALL LETTER T + COMBINING CEDILLA
	"\u00F0\u00E2\u0043":"&#x1E08;", 		// LATIN CAPITAL LETTER C WITH CEDILLA AND ACUTE = LATIN CAPITAL LETTER C + COMBINING CEDILLA + COMBINING ACUTE ACCENT
	"\u00F0\u00E2\u0063":"&#x1E09;", 		// LATIN SMALL LETTER C WITH CEDILLA AND ACUTE = LATIN SMALL LETTER C + COMBINING CEDILLA + COMBINING ACUTE ACCENT
	"\u00F0\u00E6\u0045":"&#x1E1C;", 		// LATIN CAPITAL LETTER E WITH CEDILLA AND BREVE = LATIN CAPITAL LETTER E + COMBINING CEDILLA + COMBINING BREVE
	"\u00F0\u00E6\u0065":"&#x1E1D;", 		// LATIN SMALL LETTER E WITH CEDILLA AND BREVE = LATIN SMALL LETTER E + COMBINING CEDILLA + COMBINING BREVE
	"\u00F0":"&#x0327;", 		//combining cedilla

	"\u00F1\u0041":"&#x0104;", 		// LATIN CAPITAL LETTER A WITH OGONEK = LATIN CAPITAL LETTER A + COMBINING OGONEK
	"\u00F1\u0045":"&#x0118;", 		// LATIN CAPITAL LETTER E WITH OGONEK = LATIN CAPITAL LETTER E + COMBINING OGONEK
	"\u00F1\u0049":"&#x012E;", 		// LATIN CAPITAL LETTER I WITH OGONEK = LATIN CAPITAL LETTER I + COMBINING OGONEK
	"\u00F1\u004F":"&#x01EA;", 		// LATIN CAPITAL LETTER O WITH OGONEK = LATIN CAPITAL LETTER O + COMBINING OGONEK
	"\u00F1\u0055":"&#x0172;", 		// LATIN CAPITAL LETTER U WITH OGONEK = LATIN CAPITAL LETTER U + COMBINING OGONEK
	"\u00F1\u0061":"&#x0105;", 		// LATIN SMALL LETTER A WITH OGONEK = LATIN SMALL LETTER A + COMBINING OGONEK
	"\u00F1\u0065":"&#x0119;", 		// LATIN SMALL LETTER E WITH OGONEK = LATIN SMALL LETTER E + COMBINING OGONEK
	"\u00F1\u0069":"&#x012F;", 		// LATIN SMALL LETTER I WITH OGONEK = LATIN SMALL LETTER I + COMBINING OGONEK
	"\u00F1\u006F":"&#x01EB;", 		// LATIN SMALL LETTER O WITH OGONEK = LATIN SMALL LETTER O + COMBINING OGONEK
	"\u00F1\u0075":"&#x0173;", 		// LATIN SMALL LETTER U WITH OGONEK = LATIN SMALL LETTER U + COMBINING OGONEK
	"\u00F1\u00E5\u004F":"&#x01EC;", 		// LATIN CAPITAL LETTER O WITH OGONEK AND MACRON = LATIN CAPITAL LETTER O + COMBINING OGONEK + COMBINING MACRON
	"\u00F1\u00E5\u006F":"&#x01ED;", 		// LATIN SMALL LETTER O WITH OGONEK AND MACRON = LATIN SMALL LETTER O + COMBINING OGONEK + COMBINING MACRON
	"\u00F1":"&#x0328;", 		//combining ogonek

	"\u00F2\u0041":"&#x1EA0;", 		// LATIN CAPITAL LETTER A WITH DOT BELOW = LATIN CAPITAL LETTER A + COMBINING DOT BELOW
	"\u00F2\u0042":"&#x1E04;", 		// LATIN CAPITAL LETTER B WITH DOT BELOW = LATIN CAPITAL LETTER B + COMBINING DOT BELOW
	"\u00F2\u0044":"&#x1E0C;", 		// LATIN CAPITAL LETTER D WITH DOT BELOW = LATIN CAPITAL LETTER D + COMBINING DOT BELOW
	"\u00F2\u0045":"&#x1EB8;", 		// LATIN CAPITAL LETTER E WITH DOT BELOW = LATIN CAPITAL LETTER E + COMBINING DOT BELOW
	"\u00F2\u0048":"&#x1E24;", 		// LATIN CAPITAL LETTER H WITH DOT BELOW = LATIN CAPITAL LETTER H + COMBINING DOT BELOW
	"\u00F2\u0049":"&#x1ECA;", 		// LATIN CAPITAL LETTER I WITH DOT BELOW = LATIN CAPITAL LETTER I + COMBINING DOT BELOW
	"\u00F2\u004B":"&#x1E32;", 		// LATIN CAPITAL LETTER K WITH DOT BELOW = LATIN CAPITAL LETTER K + COMBINING DOT BELOW
	"\u00F2\u004C":"&#x1E36;", 		// LATIN CAPITAL LETTER L WITH DOT BELOW = LATIN CAPITAL LETTER L + COMBINING DOT BELOW
	"\u00F2\u004D":"&#x1E42;", 		// LATIN CAPITAL LETTER M WITH DOT BELOW = LATIN CAPITAL LETTER M + COMBINING DOT BELOW
	"\u00F2\u004E":"&#x1E46;", 		// LATIN CAPITAL LETTER N WITH DOT BELOW = LATIN CAPITAL LETTER N + COMBINING DOT BELOW
	"\u00F2\u004F":"&#x1ECC;", 		// LATIN CAPITAL LETTER O WITH DOT BELOW = LATIN CAPITAL LETTER O + COMBINING DOT BELOW
	"\u00F2\u0052":"&#x1E5A;", 		// LATIN CAPITAL LETTER R WITH DOT BELOW = LATIN CAPITAL LETTER R + COMBINING DOT BELOW
	"\u00F2\u0053":"&#x1E62;", 		// LATIN CAPITAL LETTER S WITH DOT BELOW = LATIN CAPITAL LETTER S + COMBINING DOT BELOW
	"\u00F2\u0054":"&#x1E6C;", 		// LATIN CAPITAL LETTER T WITH DOT BELOW = LATIN CAPITAL LETTER T + COMBINING DOT BELOW
	"\u00F2\u0055":"&#x1EE4;", 		// LATIN CAPITAL LETTER U WITH DOT BELOW = LATIN CAPITAL LETTER U + COMBINING DOT BELOW
	"\u00F2\u0056":"&#x1E7E;", 		// LATIN CAPITAL LETTER V WITH DOT BELOW = LATIN CAPITAL LETTER V + COMBINING DOT BELOW
	"\u00F2\u0057":"&#x1E88;", 		// LATIN CAPITAL LETTER W WITH DOT BELOW = LATIN CAPITAL LETTER W + COMBINING DOT BELOW
	"\u00F2\u0059":"&#x1EF4;", 		// LATIN CAPITAL LETTER Y WITH DOT BELOW = LATIN CAPITAL LETTER Y + COMBINING DOT BELOW
	"\u00F2\u005A":"&#x1E92;", 		// LATIN CAPITAL LETTER Z WITH DOT BELOW = LATIN CAPITAL LETTER Z + COMBINING DOT BELOW
	"\u00F2\u0061":"&#x1EA1;", 		// LATIN SMALL LETTER A WITH DOT BELOW = LATIN SMALL LETTER A + COMBINING DOT BELOW
	"\u00F2\u0062":"&#x1E05;", 		// LATIN SMALL LETTER B WITH DOT BELOW = LATIN SMALL LETTER B + COMBINING DOT BELOW
	"\u00F2\u0064":"&#x1E0D;", 		// LATIN SMALL LETTER D WITH DOT BELOW = LATIN SMALL LETTER D + COMBINING DOT BELOW
	"\u00F2\u0065":"&#x1EB9;", 		// LATIN SMALL LETTER E WITH DOT BELOW = LATIN SMALL LETTER E + COMBINING DOT BELOW
	"\u00F2\u0068":"&#x1E25;", 		// LATIN SMALL LETTER H WITH DOT BELOW = LATIN SMALL LETTER H + COMBINING DOT BELOW
	"\u00F2\u0069":"&#x1ECB;", 		// LATIN SMALL LETTER I WITH DOT BELOW = LATIN SMALL LETTER I + COMBINING DOT BELOW
	"\u00F2\u006B":"&#x1E33;", 		// LATIN SMALL LETTER K WITH DOT BELOW = LATIN SMALL LETTER K + COMBINING DOT BELOW
	"\u00F2\u006C":"&#x1E37;", 		// LATIN SMALL LETTER L WITH DOT BELOW = LATIN SMALL LETTER L + COMBINING DOT BELOW
	"\u00F2\u006D":"&#x1E43;", 		// LATIN SMALL LETTER M WITH DOT BELOW = LATIN SMALL LETTER M + COMBINING DOT BELOW
	"\u00F2\u006E":"&#x1E47;", 		// LATIN SMALL LETTER N WITH DOT BELOW = LATIN SMALL LETTER N + COMBINING DOT BELOW
	"\u00F2\u006F":"&#x1ECD;", 		// LATIN SMALL LETTER O WITH DOT BELOW = LATIN SMALL LETTER O + COMBINING DOT BELOW
	"\u00F2\u0072":"&#x1E5B;", 		// LATIN SMALL LETTER R WITH DOT BELOW = LATIN SMALL LETTER R + COMBINING DOT BELOW
	"\u00F2\u0073":"&#x1E63;", 		// LATIN SMALL LETTER S WITH DOT BELOW = LATIN SMALL LETTER S + COMBINING DOT BELOW
	"\u00F2\u0074":"&#x1E6D;", 		// LATIN SMALL LETTER T WITH DOT BELOW = LATIN SMALL LETTER T + COMBINING DOT BELOW
	"\u00F2\u0075":"&#x1EE5;", 		// LATIN SMALL LETTER U WITH DOT BELOW = LATIN SMALL LETTER U + COMBINING DOT BELOW
	"\u00F2\u0076":"&#x1E7F;", 		// LATIN SMALL LETTER V WITH DOT BELOW = LATIN SMALL LETTER V + COMBINING DOT BELOW
	"\u00F2\u0077":"&#x1E89;", 		// LATIN SMALL LETTER W WITH DOT BELOW = LATIN SMALL LETTER W + COMBINING DOT BELOW
	"\u00F2\u0079":"&#x1EF5;", 		// LATIN SMALL LETTER Y WITH DOT BELOW = LATIN SMALL LETTER Y + COMBINING DOT BELOW
	"\u00F2\u007A":"&#x1E93;", 		// LATIN SMALL LETTER Z WITH DOT BELOW = LATIN SMALL LETTER Z + COMBINING DOT BELOW
	"\u00F2\u00E3\u0041":"&#x1EAC;", 		// LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	"\u00F2\u00E3\u0045":"&#x1EC6;", 		// LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	"\u00F2\u00E3\u004F":"&#x1ED8;", 		// LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	"\u00F2\u00E3\u0061":"&#x1EAD;", 		// LATIN SMALL LETTER A WITH CIRCUMFLEX AND DOT BELOW = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	"\u00F2\u00E3\u0065":"&#x1EC7;", 		// LATIN SMALL LETTER E WITH CIRCUMFLEX AND DOT BELOW = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	"\u00F2\u00E3\u006F":"&#x1ED9;", 		// LATIN SMALL LETTER O WITH CIRCUMFLEX AND DOT BELOW = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	"\u00F2\u00E5\u004C":"&#x1E38;", 		// LATIN CAPITAL LETTER L WITH DOT BELOW AND MACRON = LATIN CAPITAL LETTER L + COMBINING DOT BELOW + COMBINING MACRON
	"\u00F2\u00E5\u0052":"&#x1E5C;", 		// LATIN CAPITAL LETTER R WITH DOT BELOW AND MACRON = LATIN CAPITAL LETTER R + COMBINING DOT BELOW + COMBINING MACRON
	"\u00F2\u00E5\u006C":"&#x1E39;", 		// LATIN SMALL LETTER L WITH DOT BELOW AND MACRON = LATIN SMALL LETTER L + COMBINING DOT BELOW + COMBINING MACRON
	"\u00F2\u00E5\u0072":"&#x1E5D;", 		// LATIN SMALL LETTER R WITH DOT BELOW AND MACRON = LATIN SMALL LETTER R + COMBINING DOT BELOW + COMBINING MACRON
	"\u00F2\u00E6\u0041":"&#x1EB6;", 		// LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING DOT BELOW
	"\u00F2\u00E6\u0061":"&#x1EB7;", 		// LATIN SMALL LETTER A WITH BREVE AND DOT BELOW = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING DOT BELOW
	"\u00F2\u00E7\u0053":"&#x1E68;", 		// LATIN CAPITAL LETTER S WITH DOT BELOW AND DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING DOT BELOW + COMBINING DOT ABOVE
	"\u00F2\u00E7\u0073":"&#x1E69;", 		// LATIN SMALL LETTER S WITH DOT BELOW AND DOT ABOVE = LATIN SMALL LETTER S + COMBINING DOT BELOW + COMBINING DOT ABOVE
	"\u00F2":"&#x0323;", 		//combining dot below

	"\u00F3\u0055":"&#x1E72;", 		// LATIN CAPITAL LETTER U WITH DIAERESIS BELOW = LATIN CAPITAL LETTER U + COMBINING DIAERESIS BELOW
	"\u00F3\u0075":"&#x1E73;", 		// LATIN SMALL LETTER U WITH DIAERESIS BELOW = LATIN SMALL LETTER U + COMBINING DIAERESIS BELOW
	"\u00F3":"&#x0324;", 		//combining diaeresis below

	"\u00F4\u0041":"&#x1E00;", 		// LATIN CAPITAL LETTER A WITH RING BELOW = LATIN CAPITAL LETTER A + COMBINING RING BELOW
	"\u00F4\u0061":"&#x1E01;", 		// LATIN SMALL LETTER A WITH RING BELOW = LATIN SMALL LETTER A + COMBINING RING BELOW
	"\u00F4":"&#x0325;", 		//combining ring below

	"\u00F5":"&#x0333;", 		//combining double low line

	"\u00F6\u0042":"&#x1E06;", 		// LATIN CAPITAL LETTER B WITH LINE BELOW = LATIN CAPITAL LETTER B + COMBINING LOW LINE
	"\u00F6\u0044":"&#x1E0E;", 		// LATIN CAPITAL LETTER D WITH LINE BELOW = LATIN CAPITAL LETTER D + COMBINING LOW LINE
	"\u00F6\u004B":"&#x1E34;", 		// LATIN CAPITAL LETTER K WITH LINE BELOW = LATIN CAPITAL LETTER K + COMBINING LOW LINE
	"\u00F6\u004C":"&#x1E3A;", 		// LATIN CAPITAL LETTER L WITH LINE BELOW = LATIN CAPITAL LETTER L + COMBINING LOW LINE
	"\u00F6\u004E":"&#x1E48;", 		// LATIN CAPITAL LETTER N WITH LINE BELOW = LATIN CAPITAL LETTER N + COMBINING LOW LINE
	"\u00F6\u0052":"&#x1E5E;", 		// LATIN CAPITAL LETTER R WITH LINE BELOW = LATIN CAPITAL LETTER R + COMBINING LOW LINE
	"\u00F6\u0054":"&#x1E6E;", 		// LATIN CAPITAL LETTER T WITH LINE BELOW = LATIN CAPITAL LETTER T + COMBINING LOW LINE
	"\u00F6\u005A":"&#x1E94;", 		// LATIN CAPITAL LETTER Z WITH LINE BELOW = LATIN CAPITAL LETTER Z + COMBINING LOW LINE
	"\u00F6\u0062":"&#x1E07;", 		// LATIN SMALL LETTER B WITH LINE BELOW = LATIN SMALL LETTER B + COMBINING LOW LINE
	"\u00F6\u0064":"&#x1E0F;", 		// LATIN SMALL LETTER D WITH LINE BELOW = LATIN SMALL LETTER D + COMBINING LOW LINE
	"\u00F6\u0068":"&#x1E96;", 		// LATIN SMALL LETTER H WITH LINE BELOW = LATIN SMALL LETTER H + COMBINING LOW LINE
	"\u00F6\u006B":"&#x1E35;", 		// LATIN SMALL LETTER K WITH LINE BELOW = LATIN SMALL LETTER K + COMBINING LOW LINE
	"\u00F6\u006C":"&#x1E3B;", 		// LATIN SMALL LETTER L WITH LINE BELOW = LATIN SMALL LETTER L + COMBINING LOW LINE
	"\u00F6\u006E":"&#x1E49;", 		// LATIN SMALL LETTER N WITH LINE BELOW = LATIN SMALL LETTER N + COMBINING LOW LINE
	"\u00F6\u0072":"&#x1E5F;", 		// LATIN SMALL LETTER R WITH LINE BELOW = LATIN SMALL LETTER R + COMBINING LOW LINE
	"\u00F6\u0074":"&#x1E6F;", 		// LATIN SMALL LETTER T WITH LINE BELOW = LATIN SMALL LETTER T + COMBINING LOW LINE
	"\u00F6\u007A":"&#x1E95;", 		// LATIN SMALL LETTER Z WITH LINE BELOW = LATIN SMALL LETTER Z + COMBINING LOW LINE
	"\u00F6":"&#x0332;", 		//combining low line

	"\u00F7":"&#x0326;", 		//combining comma below

	"\u00F8":"&#x031C;", 		//combining left half ring below

	"\u00F9\u0048":"&#x1E2A;", 		// LATIN CAPITAL LETTER H WITH BREVE BELOW = LATIN CAPITAL LETTER H + COMBINING BREVE BELOW
	"\u00F9\u0068":"&#x1E2B;", 		// LATIN SMALL LETTER H WITH BREVE BELOW = LATIN SMALL LETTER H + COMBINING BREVE BELOW
	"\u00F9":"&#x032E;", 		//combining breve below

	"\u00FA":"&#xFE22;", 		//combining double tilde left half

	"\u00FB":"&#xFE23;", 		//combining double tilde right half
	
	"\u00FE":"&#x0313;" 		//comma above, high comma, centered
}
