###############################################################################
##
## This file heavily depends on "ans2uni.con"
## <http://www.heiner-eichmann.de/gedcom/ans2uni.con.zip>
## of
## Heiner Eichmann's GEDCOM 5.5 Sample Page: ANSEL to Unicode conversion 
## at  <http://www.heiner-eichmann.de/gedcom/charintr.htm>
## and <http://www.heiner-eichmann.de/gedcom/ans2uni.htm>
##
###############################################################################
#~
#~ Copyright (c) 2008 ff. Stefan Unterstein <http://unterstein.net/ged1212xml>
#~ 
#~ This program is free software: you can redistribute it and/or modify
#~ it under the terms of the GNU General Public License Version 3 or any
#~ later version published by the Free Software Foundation. See the current 
#~ License at <http://www.gnu.org/licenses/gpl.html> for more details.
#~
#~ The program is distributed in the hope that it will be useful,
#~ but WITHOUT ANY WARRANTY; without even the implied warranty of
#~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#~
###############################################################################

##
## combining double diacritic characters (triple composits)
##

/[\xE0-\xFF][\xE0-\xFF]/ {
	s/\xE0\xE3\x41/\&\#x1EA8;/g 		# LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	s/\xE0\xE3\x45/\&\#x1EC2;/g 		# LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	s/\xE0\xE3\x4F/\&\#x1ED4;/g 		# LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	s/\xE0\xE3\x61/\&\#x1EA9;/g 		# LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	s/\xE0\xE3\x65/\&\#x1EC3;/g 		# LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	s/\xE0\xE3\x6F/\&\#x1ED5;/g 		# LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	s/\xE0\xE6\x41/\&\#x1EB2;/g 		# LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING HOOK ABOVE
	s/\xE0\xE6\x61/\&\#x1EB3;/g 		# LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING HOOK ABOVE

	s/\xE1\xE3\x41/\&\#x1EA6;/g 		# LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	s/\xE1\xE3\x45/\&\#x1EC0;/g 		# LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	s/\xE1\xE3\x4F/\&\#x1ED2;/g 		# LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	s/\xE1\xE3\x61/\&\#x1EA7;/g 		# LATIN SMALL LETTER A WITH CIRCUMFLEX AND GRAVE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	s/\xE1\xE3\x65/\&\#x1EC1;/g 		# LATIN SMALL LETTER E WITH CIRCUMFLEX AND GRAVE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	s/\xE1\xE3\x6F/\&\#x1ED3;/g 		# LATIN SMALL LETTER O WITH CIRCUMFLEX AND GRAVE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	s/\xE1\xE5\x45/\&\#x1E14;/g 		# LATIN CAPITAL LETTER E WITH MACRON AND GRAVE = LATIN CAPITAL LETTER E + COMBINING MACRON + COMBINING GRAVE ACCENT
	s/\xE1\xE5\x4F/\&\#x1E50;/g 		# LATIN CAPITAL LETTER O WITH MACRON AND GRAVE = LATIN CAPITAL LETTER O + COMBINING MACRON + COMBINING GRAVE ACCENT
	s/\xE1\xE5\x65/\&\#x1E15;/g 		# LATIN SMALL LETTER E WITH MACRON AND GRAVE = LATIN SMALL LETTER E + COMBINING MACRON + COMBINING GRAVE ACCENT
	s/\xE1\xE5\x6F/\&\#x1E51;/g 		# LATIN SMALL LETTER O WITH MACRON AND GRAVE = LATIN SMALL LETTER O + COMBINING MACRON + COMBINING GRAVE ACCENT
	s/\xE1\xE6\x41/\&\#x1EB0;/g 		# LATIN CAPITAL LETTER A WITH BREVE AND GRAVE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING GRAVE ACCENT
	s/\xE1\xE6\x61/\&\#x1EB1;/g 		# LATIN SMALL LETTER A WITH BREVE AND GRAVE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING GRAVE ACCENT
	s/\xE1\xE8\x55/\&\#x01DB;/g 		# LATIN CAPITAL LETTER U WITH DIAERESIS AND GRAVE = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING GRAVE ACCENT
	s/\xE1\xE8\x75/\&\#x01DC;/g 		# LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING GRAVE ACCENT

	s/\xE2\xE3\x41/\&\#x1EA4;/g 		# LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	s/\xE2\xE3\x45/\&\#x1EBE;/g 		# LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	s/\xE2\xE3\x4F/\&\#x1ED0;/g 		# LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	s/\xE2\xE3\x61/\&\#x1EA5;/g 		# LATIN SMALL LETTER A WITH CIRCUMFLEX AND ACUTE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	s/\xE2\xE3\x65/\&\#x1EBF;/g 		# LATIN SMALL LETTER E WITH CIRCUMFLEX AND ACUTE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	s/\xE2\xE3\x6F/\&\#x1ED1;/g 		# LATIN SMALL LETTER O WITH CIRCUMFLEX AND ACUTE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	s/\xE2\xE4\x4F/\&\#x1E4C;/g 		# LATIN CAPITAL LETTER O WITH TILDE AND ACUTE = LATIN CAPITAL LETTER O + COMBINING TILDE + COMBINING ACUTE ACCENT
	s/\xE2\xE4\x55/\&\#x1E78;/g 		# LATIN CAPITAL LETTER U WITH TILDE AND ACUTE = LATIN CAPITAL LETTER U + COMBINING TILDE + COMBINING ACUTE ACCENT
	s/\xE2\xE4\x6F/\&\#x1E4D;/g 		# LATIN SMALL LETTER O WITH TILDE AND ACUTE = LATIN SMALL LETTER O + COMBINING TILDE + COMBINING ACUTE ACCENT
	s/\xE2\xE4\x75/\&\#x1E79;/g 		# LATIN SMALL LETTER U WITH TILDE AND ACUTE = LATIN SMALL LETTER U + COMBINING TILDE + COMBINING ACUTE ACCENT
	s/\xE2\xE5\x45/\&\#x1E16;/g 		# LATIN CAPITAL LETTER E WITH MACRON AND ACUTE = LATIN CAPITAL LETTER E + COMBINING MACRON + COMBINING ACUTE ACCENT
	s/\xE2\xE5\x4F/\&\#x1E52;/g 		# LATIN CAPITAL LETTER O WITH MACRON AND ACUTE = LATIN CAPITAL LETTER O + COMBINING MACRON + COMBINING ACUTE ACCENT
	s/\xE2\xE5\x65/\&\#x1E17;/g 		# LATIN SMALL LETTER E WITH MACRON AND ACUTE = LATIN SMALL LETTER E + COMBINING MACRON + COMBINING ACUTE ACCENT
	s/\xE2\xE5\x6F/\&\#x1E53;/g 		# LATIN SMALL LETTER O WITH MACRON AND ACUTE = LATIN SMALL LETTER O + COMBINING MACRON + COMBINING ACUTE ACCENT
	s/\xE2\xE6\x41/\&\#x1EAE;/g 		# LATIN CAPITAL LETTER A WITH BREVE AND ACUTE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING ACUTE ACCENT
	s/\xE2\xE6\x61/\&\#x1EAF;/g 		# LATIN SMALL LETTER A WITH BREVE AND ACUTE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING ACUTE ACCENT
	s/\xE2\xE7\x53/\&\#x1E64;/g 		# LATIN CAPITAL LETTER S WITH ACUTE AND DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING ACUTE ACCENT + COMBINING DOT ABOVE
	s/\xE2\xE7\x73/\&\#x1E65;/g 		# LATIN SMALL LETTER S WITH ACUTE AND DOT ABOVE = LATIN SMALL LETTER S + COMBINING ACUTE ACCENT + COMBINING DOT ABOVE
	s/\xE2\xE8\x49/\&\#x1E2E;/g 		# LATIN CAPITAL LETTER I WITH DIAERESIS AND ACUTE = LATIN CAPITAL LETTER I + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	s/\xE2\xE8\x55/\&\#x01D7;/g 		# LATIN CAPITAL LETTER U WITH DIAERESIS AND ACUTE = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	s/\xE2\xE8\x69/\&\#x1E2F;/g 		# LATIN SMALL LETTER I WITH DIAERESIS AND ACUTE = LATIN SMALL LETTER I + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	s/\xE2\xE8\x75/\&\#x01D8;/g 		# LATIN SMALL LETTER U WITH DIAERESIS AND ACUTE = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	s/\xE2\xEA\x41/\&\#x01FA;/g 		# LATIN CAPITAL LETTER A WITH RING ABOVE AND ACUTE = LATIN CAPITAL LETTER A + COMBINING RING ABOVE + COMBINING ACUTE ACCENT
	s/\xE2\xEA\x61/\&\#x01FB;/g 		# LATIN SMALL LETTER A WITH RING ABOVE AND ACUTE = LATIN SMALL LETTER A + COMBINING RING ABOVE + COMBINING ACUTE ACCENT
	s/\xE2\xF0\x43/\&\#x1E08;/g 		# LATIN CAPITAL LETTER C WITH CEDILLA AND ACUTE = LATIN CAPITAL LETTER C + COMBINING CEDILLA + COMBINING ACUTE ACCENT
	s/\xE2\xF0\x63/\&\#x1E09;/g 		# LATIN SMALL LETTER C WITH CEDILLA AND ACUTE = LATIN SMALL LETTER C + COMBINING CEDILLA + COMBINING ACUTE ACCENT

	s/\xE3\xE0\x41/\&\#x1EA8;/g 		# LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	s/\xE3\xE0\x45/\&\#x1EC2;/g 		# LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	s/\xE3\xE0\x4F/\&\#x1ED4;/g 		# LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	s/\xE3\xE0\x61/\&\#x1EA9;/g 		# LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	s/\xE3\xE0\x65/\&\#x1EC3;/g 		# LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	s/\xE3\xE0\x6F/\&\#x1ED5;/g 		# LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING HOOK ABOVE
	s/\xE3\xE1\x41/\&\#x1EA6;/g 		# LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	s/\xE3\xE1\x45/\&\#x1EC0;/g 		# LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	s/\xE3\xE1\x4F/\&\#x1ED2;/g 		# LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	s/\xE3\xE1\x61/\&\#x1EA7;/g 		# LATIN SMALL LETTER A WITH CIRCUMFLEX AND GRAVE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	s/\xE3\xE1\x65/\&\#x1EC1;/g 		# LATIN SMALL LETTER E WITH CIRCUMFLEX AND GRAVE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	s/\xE3\xE1\x6F/\&\#x1ED3;/g 		# LATIN SMALL LETTER O WITH CIRCUMFLEX AND GRAVE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING GRAVE ACCENT
	s/\xE3\xE2\x41/\&\#x1EA4;/g 		# LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	s/\xE3\xE2\x45/\&\#x1EBE;/g 		# LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	s/\xE3\xE2\x4F/\&\#x1ED0;/g 		# LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	s/\xE3\xE2\x61/\&\#x1EA5;/g 		# LATIN SMALL LETTER A WITH CIRCUMFLEX AND ACUTE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	s/\xE3\xE2\x65/\&\#x1EBF;/g 		# LATIN SMALL LETTER E WITH CIRCUMFLEX AND ACUTE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	s/\xE3\xE2\x6F/\&\#x1ED1;/g 		# LATIN SMALL LETTER O WITH CIRCUMFLEX AND ACUTE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING ACUTE ACCENT
	s/\xE3\xE4\x41/\&\#x1EAA;/g 		# LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	s/\xE3\xE4\x45/\&\#x1EC4;/g 		# LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	s/\xE3\xE4\x4F/\&\#x1ED6;/g 		# LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	s/\xE3\xE4\x61/\&\#x1EAB;/g 		# LATIN SMALL LETTER A WITH CIRCUMFLEX AND TILDE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	s/\xE3\xE4\x65/\&\#x1EC5;/g 		# LATIN SMALL LETTER E WITH CIRCUMFLEX AND TILDE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	s/\xE3\xE4\x6F/\&\#x1ED7;/g 		# LATIN SMALL LETTER O WITH CIRCUMFLEX AND TILDE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	s/\xE3\xF2\x41/\&\#x1EAC;/g 		# LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	s/\xE3\xF2\x45/\&\#x1EC6;/g 		# LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	s/\xE3\xF2\x4F/\&\#x1ED8;/g 		# LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	s/\xE3\xF2\x61/\&\#x1EAD;/g 		# LATIN SMALL LETTER A WITH CIRCUMFLEX AND DOT BELOW = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	s/\xE3\xF2\x65/\&\#x1EC7;/g 		# LATIN SMALL LETTER E WITH CIRCUMFLEX AND DOT BELOW = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	s/\xE3\xF2\x6F/\&\#x1ED9;/g 		# LATIN SMALL LETTER O WITH CIRCUMFLEX AND DOT BELOW = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW

	s/\xE4\xE2\x4F/\&\#x1E4C;/g 		# LATIN CAPITAL LETTER O WITH TILDE AND ACUTE = LATIN CAPITAL LETTER O + COMBINING TILDE + COMBINING ACUTE ACCENT
	s/\xE4\xE2\x55/\&\#x1E78;/g 		# LATIN CAPITAL LETTER U WITH TILDE AND ACUTE = LATIN CAPITAL LETTER U + COMBINING TILDE + COMBINING ACUTE ACCENT
	s/\xE4\xE2\x6F/\&\#x1E4D;/g 		# LATIN SMALL LETTER O WITH TILDE AND ACUTE = LATIN SMALL LETTER O + COMBINING TILDE + COMBINING ACUTE ACCENT
	s/\xE4\xE2\x75/\&\#x1E79;/g 		# LATIN SMALL LETTER U WITH TILDE AND ACUTE = LATIN SMALL LETTER U + COMBINING TILDE + COMBINING ACUTE ACCENT
	s/\xE4\xE3\x41/\&\#x1EAA;/g 		# LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	s/\xE4\xE3\x45/\&\#x1EC4;/g 		# LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	s/\xE4\xE3\x4F/\&\#x1ED6;/g 		# LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	s/\xE4\xE3\x61/\&\#x1EAB;/g 		# LATIN SMALL LETTER A WITH CIRCUMFLEX AND TILDE = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	s/\xE4\xE3\x65/\&\#x1EC5;/g 		# LATIN SMALL LETTER E WITH CIRCUMFLEX AND TILDE = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	s/\xE4\xE3\x6F/\&\#x1ED7;/g 		# LATIN SMALL LETTER O WITH CIRCUMFLEX AND TILDE = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING TILDE
	s/\xE4\xE6\x41/\&\#x1EB4;/g 		# LATIN CAPITAL LETTER A WITH BREVE AND TILDE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING TILDE
	s/\xE4\xE6\x61/\&\#x1EB5;/g 		# LATIN SMALL LETTER A WITH BREVE AND TILDE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING TILDE
	s/\xE4\xE8\x4F/\&\#x1E4E;/g 		# LATIN CAPITAL LETTER O WITH TILDE AND DIAERESIS = LATIN CAPITAL LETTER O + COMBINING TILDE + COMBINING DIAERESIS
	s/\xE4\xE8\x6F/\&\#x1E4F;/g 		# LATIN SMALL LETTER O WITH TILDE AND DIAERESIS = LATIN SMALL LETTER O + COMBINING TILDE + COMBINING DIAERESIS

	s/\xE5\xE1\x45/\&\#x1E14;/g 		# LATIN CAPITAL LETTER E WITH MACRON AND GRAVE = LATIN CAPITAL LETTER E + COMBINING MACRON + COMBINING GRAVE ACCENT
	s/\xE5\xE1\x4F/\&\#x1E50;/g 		# LATIN CAPITAL LETTER O WITH MACRON AND GRAVE = LATIN CAPITAL LETTER O + COMBINING MACRON + COMBINING GRAVE ACCENT
	s/\xE5\xE1\x65/\&\#x1E15;/g 		# LATIN SMALL LETTER E WITH MACRON AND GRAVE = LATIN SMALL LETTER E + COMBINING MACRON + COMBINING GRAVE ACCENT
	s/\xE5\xE1\x6F/\&\#x1E51;/g 		# LATIN SMALL LETTER O WITH MACRON AND GRAVE = LATIN SMALL LETTER O + COMBINING MACRON + COMBINING GRAVE ACCENT
	s/\xE5\xE2\x45/\&\#x1E16;/g 		# LATIN CAPITAL LETTER E WITH MACRON AND ACUTE = LATIN CAPITAL LETTER E + COMBINING MACRON + COMBINING ACUTE ACCENT
	s/\xE5\xE2\x4F/\&\#x1E52;/g 		# LATIN CAPITAL LETTER O WITH MACRON AND ACUTE = LATIN CAPITAL LETTER O + COMBINING MACRON + COMBINING ACUTE ACCENT
	s/\xE5\xE2\x65/\&\#x1E17;/g 		# LATIN SMALL LETTER E WITH MACRON AND ACUTE = LATIN SMALL LETTER E + COMBINING MACRON + COMBINING ACUTE ACCENT
	s/\xE5\xE2\x6F/\&\#x1E53;/g 		# LATIN SMALL LETTER O WITH MACRON AND ACUTE = LATIN SMALL LETTER O + COMBINING MACRON + COMBINING ACUTE ACCENT
	s/\xE5\xE7\x41/\&\#x01E0;/g 		# LATIN CAPITAL LETTER A WITH DOT ABOVE AND MACRON = LATIN CAPITAL LETTER A + COMBINING DOT ABOVE + COMBINING MACRON
	s/\xE5\xE7\x61/\&\#x01E1;/g 		# LATIN SMALL LETTER A WITH DOT ABOVE AND MACRON = LATIN SMALL LETTER A + COMBINING DOT ABOVE + COMBINING MACRON
	s/\xE5\xE8\x41/\&\#x01DE;/g 		# LATIN CAPITAL LETTER A WITH DIAERESIS AND MACRON = LATIN CAPITAL LETTER A + COMBINING DIAERESIS + COMBINING MACRON
	s/\xE5\xE8\x55/\&\#x1E7A;/g 		# LATIN CAPITAL LETTER U WITH DIAERESIS AND MACRON = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING MACRON
	s/\xE5\xE8\x61/\&\#x01DF;/g 		# LATIN SMALL LETTER A WITH DIAERESIS AND MACRON = LATIN SMALL LETTER A + COMBINING DIAERESIS + COMBINING MACRON
	s/\xE5\xE8\x75/\&\#x1E7B;/g 		# LATIN SMALL LETTER U WITH DIAERESIS AND MACRON = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING MACRON
	s/\xE5\xF1\x4F/\&\#x01EC;/g 		# LATIN CAPITAL LETTER O WITH OGONEK AND MACRON = LATIN CAPITAL LETTER O + COMBINING OGONEK + COMBINING MACRON
	s/\xE5\xF1\x6F/\&\#x01ED;/g 		# LATIN SMALL LETTER O WITH OGONEK AND MACRON = LATIN SMALL LETTER O + COMBINING OGONEK + COMBINING MACRON
	s/\xE5\xF2\x4C/\&\#x1E38;/g 		# LATIN CAPITAL LETTER L WITH DOT BELOW AND MACRON = LATIN CAPITAL LETTER L + COMBINING DOT BELOW + COMBINING MACRON
	s/\xE5\xF2\x52/\&\#x1E5C;/g 		# LATIN CAPITAL LETTER R WITH DOT BELOW AND MACRON = LATIN CAPITAL LETTER R + COMBINING DOT BELOW + COMBINING MACRON
	s/\xE5\xF2\x6C/\&\#x1E39;/g 		# LATIN SMALL LETTER L WITH DOT BELOW AND MACRON = LATIN SMALL LETTER L + COMBINING DOT BELOW + COMBINING MACRON
	s/\xE5\xF2\x72/\&\#x1E5D;/g 		# LATIN SMALL LETTER R WITH DOT BELOW AND MACRON = LATIN SMALL LETTER R + COMBINING DOT BELOW + COMBINING MACRON

	s/\xE6\xE0\x41/\&\#x1EB2;/g 		# LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING HOOK ABOVE
	s/\xE6\xE0\x61/\&\#x1EB3;/g 		# LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING HOOK ABOVE
	s/\xE6\xE1\x41/\&\#x1EB0;/g 		# LATIN CAPITAL LETTER A WITH BREVE AND GRAVE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING GRAVE ACCENT
	s/\xE6\xE1\x61/\&\#x1EB1;/g 		# LATIN SMALL LETTER A WITH BREVE AND GRAVE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING GRAVE ACCENT
	s/\xE6\xE2\x41/\&\#x1EAE;/g 		# LATIN CAPITAL LETTER A WITH BREVE AND ACUTE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING ACUTE ACCENT
	s/\xE6\xE2\x61/\&\#x1EAF;/g 		# LATIN SMALL LETTER A WITH BREVE AND ACUTE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING ACUTE ACCENT
	s/\xE6\xE4\x41/\&\#x1EB4;/g 		# LATIN CAPITAL LETTER A WITH BREVE AND TILDE = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING TILDE
	s/\xE6\xE4\x61/\&\#x1EB5;/g 		# LATIN SMALL LETTER A WITH BREVE AND TILDE = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING TILDE
	s/\xE6\xF0\x45/\&\#x1E1C;/g 		# LATIN CAPITAL LETTER E WITH CEDILLA AND BREVE = LATIN CAPITAL LETTER E + COMBINING CEDILLA + COMBINING BREVE
	s/\xE6\xF0\x65/\&\#x1E1D;/g 		# LATIN SMALL LETTER E WITH CEDILLA AND BREVE = LATIN SMALL LETTER E + COMBINING CEDILLA + COMBINING BREVE
	s/\xE6\xF2\x41/\&\#x1EB6;/g 		# LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING DOT BELOW
	s/\xE6\xF2\x61/\&\#x1EB7;/g 		# LATIN SMALL LETTER A WITH BREVE AND DOT BELOW = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING DOT BELOW

	s/\xE7\xE2\x53/\&\#x1E64;/g 		# LATIN CAPITAL LETTER S WITH ACUTE AND DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING ACUTE ACCENT + COMBINING DOT ABOVE
	s/\xE7\xE2\x73/\&\#x1E65;/g 		# LATIN SMALL LETTER S WITH ACUTE AND DOT ABOVE = LATIN SMALL LETTER S + COMBINING ACUTE ACCENT + COMBINING DOT ABOVE
	s/\xE7\xE5\x41/\&\#x01E0;/g 		# LATIN CAPITAL LETTER A WITH DOT ABOVE AND MACRON = LATIN CAPITAL LETTER A + COMBINING DOT ABOVE + COMBINING MACRON
	s/\xE7\xE5\x61/\&\#x01E1;/g 		# LATIN SMALL LETTER A WITH DOT ABOVE AND MACRON = LATIN SMALL LETTER A + COMBINING DOT ABOVE + COMBINING MACRON
	s/\xE7\xE9\x53/\&\#x1E66;/g 		# LATIN CAPITAL LETTER S WITH CARON AND DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING CARON + COMBINING DOT ABOVE
	s/\xE7\xE9\x73/\&\#x1E67;/g 		# LATIN SMALL LETTER S WITH CARON AND DOT ABOVE = LATIN SMALL LETTER S + COMBINING CARON + COMBINING DOT ABOVE
	s/\xE7\xF2\x53/\&\#x1E68;/g 		# LATIN CAPITAL LETTER S WITH DOT BELOW AND DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING DOT BELOW + COMBINING DOT ABOVE
	s/\xE7\xF2\x73/\&\#x1E69;/g 		# LATIN SMALL LETTER S WITH DOT BELOW AND DOT ABOVE = LATIN SMALL LETTER S + COMBINING DOT BELOW + COMBINING DOT ABOVE

	s/\xE8\xE1\x55/\&\#x01DB;/g 		# LATIN CAPITAL LETTER U WITH DIAERESIS AND GRAVE = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING GRAVE ACCENT
	s/\xE8\xE1\x75/\&\#x01DC;/g 		# LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING GRAVE ACCENT
	s/\xE8\xE2\x49/\&\#x1E2E;/g 		# LATIN CAPITAL LETTER I WITH DIAERESIS AND ACUTE = LATIN CAPITAL LETTER I + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	s/\xE8\xE2\x55/\&\#x01D7;/g 		# LATIN CAPITAL LETTER U WITH DIAERESIS AND ACUTE = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	s/\xE8\xE2\x69/\&\#x1E2F;/g 		# LATIN SMALL LETTER I WITH DIAERESIS AND ACUTE = LATIN SMALL LETTER I + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	s/\xE8\xE2\x75/\&\#x01D8;/g 		# LATIN SMALL LETTER U WITH DIAERESIS AND ACUTE = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING ACUTE ACCENT
	s/\xE8\xE4\x4F/\&\#x1E4E;/g 		# LATIN CAPITAL LETTER O WITH TILDE AND DIAERESIS = LATIN CAPITAL LETTER O + COMBINING TILDE + COMBINING DIAERESIS
	s/\xE8\xE4\x6F/\&\#x1E4F;/g 		# LATIN SMALL LETTER O WITH TILDE AND DIAERESIS = LATIN SMALL LETTER O + COMBINING TILDE + COMBINING DIAERESIS
	s/\xE8\xE5\x41/\&\#x01DE;/g 		# LATIN CAPITAL LETTER A WITH DIAERESIS AND MACRON = LATIN CAPITAL LETTER A + COMBINING DIAERESIS + COMBINING MACRON
	s/\xE8\xE5\x55/\&\#x1E7A;/g 		# LATIN CAPITAL LETTER U WITH DIAERESIS AND MACRON = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING MACRON
	s/\xE8\xE5\x61/\&\#x01DF;/g 		# LATIN SMALL LETTER A WITH DIAERESIS AND MACRON = LATIN SMALL LETTER A + COMBINING DIAERESIS + COMBINING MACRON
	s/\xE8\xE5\x75/\&\#x1E7B;/g 		# LATIN SMALL LETTER U WITH DIAERESIS AND MACRON = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING MACRON
	s/\xE8\xE9\x55/\&\#x01D9;/g 		# LATIN CAPITAL LETTER U WITH DIAERESIS AND CARON = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING CARON
	s/\xE8\xE9\x75/\&\#x01DA;/g 		# LATIN SMALL LETTER U WITH DIAERESIS AND CARON = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING CARON

	s/\xE9\xE7\x53/\&\#x1E66;/g 		# LATIN CAPITAL LETTER S WITH CARON AND DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING CARON + COMBINING DOT ABOVE
	s/\xE9\xE7\x73/\&\#x1E67;/g 		# LATIN SMALL LETTER S WITH CARON AND DOT ABOVE = LATIN SMALL LETTER S + COMBINING CARON + COMBINING DOT ABOVE
	s/\xE9\xE8\x55/\&\#x01D9;/g 		# LATIN CAPITAL LETTER U WITH DIAERESIS AND CARON = LATIN CAPITAL LETTER U + COMBINING DIAERESIS + COMBINING CARON
	s/\xE9\xE8\x75/\&\#x01DA;/g 		# LATIN SMALL LETTER U WITH DIAERESIS AND CARON = LATIN SMALL LETTER U + COMBINING DIAERESIS + COMBINING CARON

	s/\xEA\xE2\x41/\&\#x01FA;/g 		# LATIN CAPITAL LETTER A WITH RING ABOVE AND ACUTE = LATIN CAPITAL LETTER A + COMBINING RING ABOVE + COMBINING ACUTE ACCENT
	s/\xEA\xE2\x61/\&\#x01FB;/g 		# LATIN SMALL LETTER A WITH RING ABOVE AND ACUTE = LATIN SMALL LETTER A + COMBINING RING ABOVE + COMBINING ACUTE ACCENT

	s/\xF0\xE2\x43/\&\#x1E08;/g 		# LATIN CAPITAL LETTER C WITH CEDILLA AND ACUTE = LATIN CAPITAL LETTER C + COMBINING CEDILLA + COMBINING ACUTE ACCENT
	s/\xF0\xE2\x63/\&\#x1E09;/g 		# LATIN SMALL LETTER C WITH CEDILLA AND ACUTE = LATIN SMALL LETTER C + COMBINING CEDILLA + COMBINING ACUTE ACCENT
	s/\xF0\xE6\x45/\&\#x1E1C;/g 		# LATIN CAPITAL LETTER E WITH CEDILLA AND BREVE = LATIN CAPITAL LETTER E + COMBINING CEDILLA + COMBINING BREVE
	s/\xF0\xE6\x65/\&\#x1E1D;/g 		# LATIN SMALL LETTER E WITH CEDILLA AND BREVE = LATIN SMALL LETTER E + COMBINING CEDILLA + COMBINING BREVE

	s/\xF1\xE5\x4F/\&\#x01EC;/g 		# LATIN CAPITAL LETTER O WITH OGONEK AND MACRON = LATIN CAPITAL LETTER O + COMBINING OGONEK + COMBINING MACRON
	s/\xF1\xE5\x6F/\&\#x01ED;/g 		# LATIN SMALL LETTER O WITH OGONEK AND MACRON = LATIN SMALL LETTER O + COMBINING OGONEK + COMBINING MACRON

	s/\xF2\xE3\x41/\&\#x1EAC;/g 		# LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	s/\xF2\xE3\x45/\&\#x1EC6;/g 		# LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	s/\xF2\xE3\x4F/\&\#x1ED8;/g 		# LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	s/\xF2\xE3\x61/\&\#x1EAD;/g 		# LATIN SMALL LETTER A WITH CIRCUMFLEX AND DOT BELOW = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	s/\xF2\xE3\x65/\&\#x1EC7;/g 		# LATIN SMALL LETTER E WITH CIRCUMFLEX AND DOT BELOW = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	s/\xF2\xE3\x6F/\&\#x1ED9;/g 		# LATIN SMALL LETTER O WITH CIRCUMFLEX AND DOT BELOW = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT + COMBINING DOT BELOW
	s/\xF2\xE5\x4C/\&\#x1E38;/g 		# LATIN CAPITAL LETTER L WITH DOT BELOW AND MACRON = LATIN CAPITAL LETTER L + COMBINING DOT BELOW + COMBINING MACRON
	s/\xF2\xE5\x52/\&\#x1E5C;/g 		# LATIN CAPITAL LETTER R WITH DOT BELOW AND MACRON = LATIN CAPITAL LETTER R + COMBINING DOT BELOW + COMBINING MACRON
	s/\xF2\xE5\x6C/\&\#x1E39;/g 		# LATIN SMALL LETTER L WITH DOT BELOW AND MACRON = LATIN SMALL LETTER L + COMBINING DOT BELOW + COMBINING MACRON
	s/\xF2\xE5\x72/\&\#x1E5D;/g 		# LATIN SMALL LETTER R WITH DOT BELOW AND MACRON = LATIN SMALL LETTER R + COMBINING DOT BELOW + COMBINING MACRON
	s/\xF2\xE6\x41/\&\#x1EB6;/g 		# LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW = LATIN CAPITAL LETTER A + COMBINING BREVE + COMBINING DOT BELOW
	s/\xF2\xE6\x61/\&\#x1EB7;/g 		# LATIN SMALL LETTER A WITH BREVE AND DOT BELOW = LATIN SMALL LETTER A + COMBINING BREVE + COMBINING DOT BELOW
	s/\xF2\xE7\x53/\&\#x1E68;/g 		# LATIN CAPITAL LETTER S WITH DOT BELOW AND DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING DOT BELOW + COMBINING DOT ABOVE
	s/\xF2\xE7\x73/\&\#x1E69;/g 		# LATIN SMALL LETTER S WITH DOT BELOW AND DOT ABOVE = LATIN SMALL LETTER S + COMBINING DOT BELOW + COMBINING DOT ABOVE
}

##
## combining single diacritic characters (double composits)
##

/\xE0/ {
	s/\xE0\x41/\&\#x1EA2;/g 		# LATIN CAPITAL LETTER A WITH HOOK ABOVE = LATIN CAPITAL LETTER A + COMBINING HOOK ABOVE
	s/\xE0\x45/\&\#x1EBA;/g 		# LATIN CAPITAL LETTER E WITH HOOK ABOVE = LATIN CAPITAL LETTER E + COMBINING HOOK ABOVE
	s/\xE0\x49/\&\#x1EC8;/g 		# LATIN CAPITAL LETTER I WITH HOOK ABOVE = LATIN CAPITAL LETTER I + COMBINING HOOK ABOVE
	s/\xE0\x4F/\&\#x1ECE;/g 		# LATIN CAPITAL LETTER O WITH HOOK ABOVE = LATIN CAPITAL LETTER O + COMBINING HOOK ABOVE
	s/\xE0\x55/\&\#x1EE6;/g 		# LATIN CAPITAL LETTER U WITH HOOK ABOVE = LATIN CAPITAL LETTER U + COMBINING HOOK ABOVE
	s/\xE0\x59/\&\#x1EF6;/g 		# LATIN CAPITAL LETTER Y WITH HOOK ABOVE = LATIN CAPITAL LETTER Y + COMBINING HOOK ABOVE
	s/\xE0\x61/\&\#x1EA3;/g 		# LATIN SMALL LETTER A WITH HOOK ABOVE = LATIN SMALL LETTER A + COMBINING HOOK ABOVE
	s/\xE0\x65/\&\#x1EBB;/g 		# LATIN SMALL LETTER E WITH HOOK ABOVE = LATIN SMALL LETTER E + COMBINING HOOK ABOVE
	s/\xE0\x69/\&\#x1EC9;/g 		# LATIN SMALL LETTER I WITH HOOK ABOVE = LATIN SMALL LETTER I + COMBINING HOOK ABOVE
	s/\xE0\x6F/\&\#x1ECF;/g 		# LATIN SMALL LETTER O WITH HOOK ABOVE = LATIN SMALL LETTER O + COMBINING HOOK ABOVE
	s/\xE0\x75/\&\#x1EE7;/g 		# LATIN SMALL LETTER U WITH HOOK ABOVE = LATIN SMALL LETTER U + COMBINING HOOK ABOVE
	s/\xE0\x79/\&\#x1EF7;/g 		# LATIN SMALL LETTER Y WITH HOOK ABOVE = LATIN SMALL LETTER Y + COMBINING HOOK ABOVE
	s/\xE0/\&\#x0309;/g 		#combining hook above
}

/\xE1/ {
	s/\xE1\x41/\&\#x00C0;/g 		# LATIN CAPITAL LETTER A WITH GRAVE = LATIN CAPITAL LETTER A + COMBINING GRAVE ACCENT
	s/\xE1\x45/\&\#x00C8;/g 		# LATIN CAPITAL LETTER E WITH GRAVE = LATIN CAPITAL LETTER E + COMBINING GRAVE ACCENT
	s/\xE1\x49/\&\#x00CC;/g 		# LATIN CAPITAL LETTER I WITH GRAVE = LATIN CAPITAL LETTER I + COMBINING GRAVE ACCENT
	s/\xE1\x4F/\&\#x00D2;/g 		# LATIN CAPITAL LETTER O WITH GRAVE = LATIN CAPITAL LETTER O + COMBINING GRAVE ACCENT
	s/\xE1\x55/\&\#x00D9;/g 		# LATIN CAPITAL LETTER U WITH GRAVE = LATIN CAPITAL LETTER U + COMBINING GRAVE ACCENT
	s/\xE1\x57/\&\#x1E80;/g 		# LATIN CAPITAL LETTER W WITH GRAVE = LATIN CAPITAL LETTER W + COMBINING GRAVE ACCENT
	s/\xE1\x59/\&\#x1EF2;/g 		# LATIN CAPITAL LETTER Y WITH GRAVE = LATIN CAPITAL LETTER Y + COMBINING GRAVE ACCENT
	s/\xE1\x61/\&\#x00E0;/g 		# LATIN SMALL LETTER A WITH GRAVE = LATIN SMALL LETTER A + COMBINING GRAVE ACCENT
	s/\xE1\x65/\&\#x00E8;/g 		# LATIN SMALL LETTER E WITH GRAVE = LATIN SMALL LETTER E + COMBINING GRAVE ACCENT
	s/\xE1\x69/\&\#x00EC;/g 		# LATIN SMALL LETTER I WITH GRAVE = LATIN SMALL LETTER I + COMBINING GRAVE ACCENT
	s/\xE1\x6F/\&\#x00F2;/g 		# LATIN SMALL LETTER O WITH GRAVE = LATIN SMALL LETTER O + COMBINING GRAVE ACCENT
	s/\xE1\x75/\&\#x00F9;/g 		# LATIN SMALL LETTER U WITH GRAVE = LATIN SMALL LETTER U + COMBINING GRAVE ACCENT
	s/\xE1\x77/\&\#x1E81;/g 		# LATIN SMALL LETTER W WITH GRAVE = LATIN SMALL LETTER W + COMBINING GRAVE ACCENT
	s/\xE1\x79/\&\#x1EF3;/g 		# LATIN SMALL LETTER Y WITH GRAVE = LATIN SMALL LETTER Y + COMBINING GRAVE ACCENT
	s/\xE1/\&\#x0300;/g 		#combining grave accent
}

/\xE2/ {
	s/\xE2\x41/\&\#x00C1;/g 		# LATIN CAPITAL LETTER A WITH ACUTE = LATIN CAPITAL LETTER A + COMBINING ACUTE ACCENT
	s/\xE2\x43/\&\#x0106;/g 		# LATIN CAPITAL LETTER C WITH ACUTE = LATIN CAPITAL LETTER C + COMBINING ACUTE ACCENT
	s/\xE2\x45/\&\#x00C9;/g 		# LATIN CAPITAL LETTER E WITH ACUTE = LATIN CAPITAL LETTER E + COMBINING ACUTE ACCENT
	s/\xE2\x47/\&\#x01F4;/g 		# LATIN CAPITAL LETTER G WITH ACUTE = LATIN CAPITAL LETTER G + COMBINING ACUTE ACCENT
	s/\xE2\x49/\&\#x00CD;/g 		# LATIN CAPITAL LETTER I WITH ACUTE = LATIN CAPITAL LETTER I + COMBINING ACUTE ACCENT
	s/\xE2\x4B/\&\#x1E30;/g 		# LATIN CAPITAL LETTER K WITH ACUTE = LATIN CAPITAL LETTER K + COMBINING ACUTE ACCENT
	s/\xE2\x4C/\&\#x0139;/g 		# LATIN CAPITAL LETTER L WITH ACUTE = LATIN CAPITAL LETTER L + COMBINING ACUTE ACCENT
	s/\xE2\x4D/\&\#x1E3E;/g 		# LATIN CAPITAL LETTER M WITH ACUTE = LATIN CAPITAL LETTER M + COMBINING ACUTE ACCENT
	s/\xE2\x4E/\&\#x0143;/g 		# LATIN CAPITAL LETTER N WITH ACUTE = LATIN CAPITAL LETTER N + COMBINING ACUTE ACCENT
	s/\xE2\x4F/\&\#x00D3;/g 		# LATIN CAPITAL LETTER O WITH ACUTE = LATIN CAPITAL LETTER O + COMBINING ACUTE ACCENT
	s/\xE2\x50/\&\#x1E54;/g 		# LATIN CAPITAL LETTER P WITH ACUTE = LATIN CAPITAL LETTER P + COMBINING ACUTE ACCENT
	s/\xE2\x52/\&\#x0154;/g 		# LATIN CAPITAL LETTER R WITH ACUTE = LATIN CAPITAL LETTER R + COMBINING ACUTE ACCENT
	s/\xE2\x53/\&\#x015A;/g 		# LATIN CAPITAL LETTER S WITH ACUTE = LATIN CAPITAL LETTER S + COMBINING ACUTE ACCENT
	s/\xE2\x55/\&\#x00DA;/g 		# LATIN CAPITAL LETTER U WITH ACUTE = LATIN CAPITAL LETTER U + COMBINING ACUTE ACCENT
	s/\xE2\x57/\&\#x1E82;/g 		# LATIN CAPITAL LETTER W WITH ACUTE = LATIN CAPITAL LETTER W + COMBINING ACUTE ACCENT
	s/\xE2\x59/\&\#x00DD;/g 		# LATIN CAPITAL LETTER Y WITH ACUTE = LATIN CAPITAL LETTER Y + COMBINING ACUTE ACCENT
	s/\xE2\x5A/\&\#x0179;/g 		# LATIN CAPITAL LETTER Z WITH ACUTE = LATIN CAPITAL LETTER Z + COMBINING ACUTE ACCENT
	s/\xE2\x61/\&\#x00E1;/g 		# LATIN SMALL LETTER A WITH ACUTE = LATIN SMALL LETTER A + COMBINING ACUTE ACCENT
	s/\xE2\x63/\&\#x0107;/g 		# LATIN SMALL LETTER C WITH ACUTE = LATIN SMALL LETTER C + COMBINING ACUTE ACCENT
	s/\xE2\x65/\&\#x00E9;/g 		# LATIN SMALL LETTER E WITH ACUTE = LATIN SMALL LETTER E + COMBINING ACUTE ACCENT
	s/\xE2\x67/\&\#x01F5;/g 		# LATIN SMALL LETTER G WITH ACUTE = LATIN SMALL LETTER G + COMBINING ACUTE ACCENT
	s/\xE2\x69/\&\#x00ED;/g 		# LATIN SMALL LETTER I WITH ACUTE = LATIN SMALL LETTER I + COMBINING ACUTE ACCENT
	s/\xE2\x6B/\&\#x1E31;/g 		# LATIN SMALL LETTER K WITH ACUTE = LATIN SMALL LETTER K + COMBINING ACUTE ACCENT
	s/\xE2\x6C/\&\#x013A;/g 		# LATIN SMALL LETTER L WITH ACUTE = LATIN SMALL LETTER L + COMBINING ACUTE ACCENT
	s/\xE2\x6D/\&\#x1E3F;/g 		# LATIN SMALL LETTER M WITH ACUTE = LATIN SMALL LETTER M + COMBINING ACUTE ACCENT
	s/\xE2\x6E/\&\#x0144;/g 		# LATIN SMALL LETTER N WITH ACUTE = LATIN SMALL LETTER N + COMBINING ACUTE ACCENT
	s/\xE2\x6F/\&\#x00F3;/g 		# LATIN SMALL LETTER O WITH ACUTE = LATIN SMALL LETTER O + COMBINING ACUTE ACCENT
	s/\xE2\x70/\&\#x1E55;/g 		# LATIN SMALL LETTER P WITH ACUTE = LATIN SMALL LETTER P + COMBINING ACUTE ACCENT
	s/\xE2\x72/\&\#x0155;/g 		# LATIN SMALL LETTER R WITH ACUTE = LATIN SMALL LETTER R + COMBINING ACUTE ACCENT
	s/\xE2\x73/\&\#x015B;/g 		# LATIN SMALL LETTER S WITH ACUTE = LATIN SMALL LETTER S + COMBINING ACUTE ACCENT
	s/\xE2\x75/\&\#x00FA;/g 		# LATIN SMALL LETTER U WITH ACUTE = LATIN SMALL LETTER U + COMBINING ACUTE ACCENT
	s/\xE2\x77/\&\#x1E83;/g 		# LATIN SMALL LETTER W WITH ACUTE = LATIN SMALL LETTER W + COMBINING ACUTE ACCENT
	s/\xE2\x79/\&\#x00FD;/g 		# LATIN SMALL LETTER Y WITH ACUTE = LATIN SMALL LETTER Y + COMBINING ACUTE ACCENT
	s/\xE2\x7A/\&\#x017A;/g 		# LATIN SMALL LETTER Z WITH ACUTE = LATIN SMALL LETTER Z + COMBINING ACUTE ACCENT
	s/\xE2\xA5/\&\#x01FC;/g 		# LATIN CAPITAL LETTER AE WITH ACUTE = LATIN CAPITAL LETTER AE + COMBINING ACUTE ACCENT
	s/\xE2\xB5/\&\#x01FD;/g 		# LATIN SMALL LETTER AE WITH ACUTE = LATIN SMALL LETTER AE + COMBINING ACUTE ACCENT
	s/\xE2/\&\#x0301;/g 		#combining acute accent
}

/\xE3/ {
	s/\xE3\x41/\&\#x00C2;/g 		# LATIN CAPITAL LETTER A WITH CIRCUMFLEX = LATIN CAPITAL LETTER A + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x43/\&\#x0108;/g 		# LATIN CAPITAL LETTER C WITH CIRCUMFLEX = LATIN CAPITAL LETTER C + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x45/\&\#x00CA;/g 		# LATIN CAPITAL LETTER E WITH CIRCUMFLEX = LATIN CAPITAL LETTER E + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x47/\&\#x011C;/g 		# LATIN CAPITAL LETTER G WITH CIRCUMFLEX = LATIN CAPITAL LETTER G + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x48/\&\#x0124;/g 		# LATIN CAPITAL LETTER H WITH CIRCUMFLEX = LATIN CAPITAL LETTER H + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x49/\&\#x00CE;/g 		# LATIN CAPITAL LETTER I WITH CIRCUMFLEX = LATIN CAPITAL LETTER I + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x4A/\&\#x0134;/g 		# LATIN CAPITAL LETTER J WITH CIRCUMFLEX = LATIN CAPITAL LETTER J + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x4F/\&\#x00D4;/g 		# LATIN CAPITAL LETTER O WITH CIRCUMFLEX = LATIN CAPITAL LETTER O + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x53/\&\#x015C;/g 		# LATIN CAPITAL LETTER S WITH CIRCUMFLEX = LATIN CAPITAL LETTER S + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x55/\&\#x00DB;/g 		# LATIN CAPITAL LETTER U WITH CIRCUMFLEX = LATIN CAPITAL LETTER U + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x57/\&\#x0174;/g 		# LATIN CAPITAL LETTER W WITH CIRCUMFLEX = LATIN CAPITAL LETTER W + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x59/\&\#x0176;/g 		# LATIN CAPITAL LETTER Y WITH CIRCUMFLEX = LATIN CAPITAL LETTER Y + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x5A/\&\#x1E90;/g 		# LATIN CAPITAL LETTER Z WITH CIRCUMFLEX = LATIN CAPITAL LETTER Z + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x61/\&\#x00E2;/g 		# LATIN SMALL LETTER A WITH CIRCUMFLEX = LATIN SMALL LETTER A + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x63/\&\#x0109;/g 		# LATIN SMALL LETTER C WITH CIRCUMFLEX = LATIN SMALL LETTER C + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x65/\&\#x00EA;/g 		# LATIN SMALL LETTER E WITH CIRCUMFLEX = LATIN SMALL LETTER E + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x67/\&\#x011D;/g 		# LATIN SMALL LETTER G WITH CIRCUMFLEX = LATIN SMALL LETTER G + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x68/\&\#x0125;/g 		# LATIN SMALL LETTER H WITH CIRCUMFLEX = LATIN SMALL LETTER H + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x69/\&\#x00EE;/g 		# LATIN SMALL LETTER I WITH CIRCUMFLEX = LATIN SMALL LETTER I + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x6A/\&\#x0135;/g 		# LATIN SMALL LETTER J WITH CIRCUMFLEX = LATIN SMALL LETTER J + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x6F/\&\#x00F4;/g 		# LATIN SMALL LETTER O WITH CIRCUMFLEX = LATIN SMALL LETTER O + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x73/\&\#x015D;/g 		# LATIN SMALL LETTER S WITH CIRCUMFLEX = LATIN SMALL LETTER S + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x75/\&\#x00FB;/g 		# LATIN SMALL LETTER U WITH CIRCUMFLEX = LATIN SMALL LETTER U + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x77/\&\#x0175;/g 		# LATIN SMALL LETTER W WITH CIRCUMFLEX = LATIN SMALL LETTER W + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x79/\&\#x0177;/g 		# LATIN SMALL LETTER Y WITH CIRCUMFLEX = LATIN SMALL LETTER Y + COMBINING CIRCUMFLEX ACCENT
	s/\xE3\x7A/\&\#x1E91;/g 		# LATIN SMALL LETTER Z WITH CIRCUMFLEX = LATIN SMALL LETTER Z + COMBINING CIRCUMFLEX ACCENT
	s/\xE3/\&\#x0302;/g 		#combining circumflex accent
}

/\xE4/ {
	s/\xE4\x41/\&\#x00C3;/g 		# LATIN CAPITAL LETTER A WITH TILDE = LATIN CAPITAL LETTER A + COMBINING TILDE
	s/\xE4\x45/\&\#x1EBC;/g 		# LATIN CAPITAL LETTER E WITH TILDE = LATIN CAPITAL LETTER E + COMBINING TILDE
	s/\xE4\x49/\&\#x0128;/g 		# LATIN CAPITAL LETTER I WITH TILDE = LATIN CAPITAL LETTER I + COMBINING TILDE
	s/\xE4\x4E/\&\#x00D1;/g 		# LATIN CAPITAL LETTER N WITH TILDE = LATIN CAPITAL LETTER N + COMBINING TILDE
	s/\xE4\x4F/\&\#x00D5;/g 		# LATIN CAPITAL LETTER O WITH TILDE = LATIN CAPITAL LETTER O + COMBINING TILDE
	s/\xE4\x55/\&\#x0168;/g 		# LATIN CAPITAL LETTER U WITH TILDE = LATIN CAPITAL LETTER U + COMBINING TILDE
	s/\xE4\x56/\&\#x1E7C;/g 		# LATIN CAPITAL LETTER V WITH TILDE = LATIN CAPITAL LETTER V + COMBINING TILDE
	s/\xE4\x59/\&\#x1EF8;/g 		# LATIN CAPITAL LETTER Y WITH TILDE = LATIN CAPITAL LETTER Y + COMBINING TILDE
	s/\xE4\x61/\&\#x00E3;/g 		# LATIN SMALL LETTER A WITH TILDE = LATIN SMALL LETTER A + COMBINING TILDE
	s/\xE4\x65/\&\#x1EBD;/g 		# LATIN SMALL LETTER E WITH TILDE = LATIN SMALL LETTER E + COMBINING TILDE
	s/\xE4\x69/\&\#x0129;/g 		# LATIN SMALL LETTER I WITH TILDE = LATIN SMALL LETTER I + COMBINING TILDE
	s/\xE4\x6E/\&\#x00F1;/g 		# LATIN SMALL LETTER N WITH TILDE = LATIN SMALL LETTER N + COMBINING TILDE
	s/\xE4\x6F/\&\#x00F5;/g 		# LATIN SMALL LETTER O WITH TILDE = LATIN SMALL LETTER O + COMBINING TILDE
	s/\xE4\x75/\&\#x0169;/g 		# LATIN SMALL LETTER U WITH TILDE = LATIN SMALL LETTER U + COMBINING TILDE
	s/\xE4\x76/\&\#x1E7D;/g 		# LATIN SMALL LETTER V WITH TILDE = LATIN SMALL LETTER V + COMBINING TILDE
	s/\xE4\x79/\&\#x1EF9;/g 		# LATIN SMALL LETTER Y WITH TILDE = LATIN SMALL LETTER Y + COMBINING TILDE
	s/\xE4/\&\#x0303;/g 		#combining tilde
}

/\xE5/ {
	s/\xE5\x41/\&\#x0100;/g 		# LATIN CAPITAL LETTER A WITH MACRON = LATIN CAPITAL LETTER A + COMBINING MACRON
	s/\xE5\x45/\&\#x0112;/g 		# LATIN CAPITAL LETTER E WITH MACRON = LATIN CAPITAL LETTER E + COMBINING MACRON
	s/\xE5\x47/\&\#x1E20;/g 		# LATIN CAPITAL LETTER G WITH MACRON = LATIN CAPITAL LETTER G + COMBINING MACRON
	s/\xE5\x49/\&\#x012A;/g 		# LATIN CAPITAL LETTER I WITH MACRON = LATIN CAPITAL LETTER I + COMBINING MACRON
	s/\xE5\x4F/\&\#x014C;/g 		# LATIN CAPITAL LETTER O WITH MACRON = LATIN CAPITAL LETTER O + COMBINING MACRON
	s/\xE5\x55/\&\#x016A;/g 		# LATIN CAPITAL LETTER U WITH MACRON = LATIN CAPITAL LETTER U + COMBINING MACRON
	s/\xE5\x61/\&\#x0101;/g 		# LATIN SMALL LETTER A WITH MACRON = LATIN SMALL LETTER A + COMBINING MACRON
	s/\xE5\x65/\&\#x0113;/g 		# LATIN SMALL LETTER E WITH MACRON = LATIN SMALL LETTER E + COMBINING MACRON
	s/\xE5\x67/\&\#x1E21;/g 		# LATIN SMALL LETTER G WITH MACRON = LATIN SMALL LETTER G + COMBINING MACRON
	s/\xE5\x69/\&\#x012B;/g 		# LATIN SMALL LETTER I WITH MACRON = LATIN SMALL LETTER I + COMBINING MACRON
	s/\xE5\x6F/\&\#x014D;/g 		# LATIN SMALL LETTER O WITH MACRON = LATIN SMALL LETTER O + COMBINING MACRON
	s/\xE5\x75/\&\#x016B;/g 		# LATIN SMALL LETTER U WITH MACRON = LATIN SMALL LETTER U + COMBINING MACRON
	s/\xE5\xA5/\&\#x01E2;/g 		# LATIN CAPITAL LETTER AE WITH MACRON = LATIN CAPITAL LETTER AE + COMBINING MACRON
	s/\xE5\xB5/\&\#x01E3;/g 		# LATIN SMALL LETTER AE WITH MACRON = LATIN SMALL LETTER AE + COMBINING MACRON
	s/\xE5/\&\#x0304;/g 		#combining macron
}

/\xE6/ {
	s/\xE6\x41/\&\#x0102;/g 		# LATIN CAPITAL LETTER A WITH BREVE = LATIN CAPITAL LETTER A + COMBINING BREVE
	s/\xE6\x45/\&\#x0114;/g 		# LATIN CAPITAL LETTER E WITH BREVE = LATIN CAPITAL LETTER E + COMBINING BREVE
	s/\xE6\x47/\&\#x011E;/g 		# LATIN CAPITAL LETTER G WITH BREVE = LATIN CAPITAL LETTER G + COMBINING BREVE
	s/\xE6\x49/\&\#x012C;/g 		# LATIN CAPITAL LETTER I WITH BREVE = LATIN CAPITAL LETTER I + COMBINING BREVE
	s/\xE6\x4F/\&\#x014E;/g 		# LATIN CAPITAL LETTER O WITH BREVE = LATIN CAPITAL LETTER O + COMBINING BREVE
	s/\xE6\x55/\&\#x016C;/g 		# LATIN CAPITAL LETTER U WITH BREVE = LATIN CAPITAL LETTER U + COMBINING BREVE
	s/\xE6\x61/\&\#x0103;/g 		# LATIN SMALL LETTER A WITH BREVE = LATIN SMALL LETTER A + COMBINING BREVE
	s/\xE6\x65/\&\#x0115;/g 		# LATIN SMALL LETTER E WITH BREVE = LATIN SMALL LETTER E + COMBINING BREVE
	s/\xE6\x67/\&\#x011F;/g 		# LATIN SMALL LETTER G WITH BREVE = LATIN SMALL LETTER G + COMBINING BREVE
	s/\xE6\x69/\&\#x012D;/g 		# LATIN SMALL LETTER I WITH BREVE = LATIN SMALL LETTER I + COMBINING BREVE
	s/\xE6\x6F/\&\#x014F;/g 		# LATIN SMALL LETTER O WITH BREVE = LATIN SMALL LETTER O + COMBINING BREVE
	s/\xE6\x75/\&\#x016D;/g 		# LATIN SMALL LETTER U WITH BREVE = LATIN SMALL LETTER U + COMBINING BREVE
	s/\xE6/\&\#x0306;/g 		#combining breve
}

/\xE7/ {
	s/\xE7\x42/\&\#x1E02;/g 		# LATIN CAPITAL LETTER B WITH DOT ABOVE = LATIN CAPITAL LETTER B + COMBINING DOT ABOVE
	s/\xE7\x43/\&\#x010A;/g 		# LATIN CAPITAL LETTER C WITH DOT ABOVE = LATIN CAPITAL LETTER C + COMBINING DOT ABOVE
	s/\xE7\x44/\&\#x1E0A;/g 		# LATIN CAPITAL LETTER D WITH DOT ABOVE = LATIN CAPITAL LETTER D + COMBINING DOT ABOVE
	s/\xE7\x45/\&\#x0116;/g 		# LATIN CAPITAL LETTER E WITH DOT ABOVE = LATIN CAPITAL LETTER E + COMBINING DOT ABOVE
	s/\xE7\x46/\&\#x1E1E;/g 		# LATIN CAPITAL LETTER F WITH DOT ABOVE = LATIN CAPITAL LETTER F + COMBINING DOT ABOVE
	s/\xE7\x47/\&\#x0120;/g 		# LATIN CAPITAL LETTER G WITH DOT ABOVE = LATIN CAPITAL LETTER G + COMBINING DOT ABOVE
	s/\xE7\x48/\&\#x1E22;/g 		# LATIN CAPITAL LETTER H WITH DOT ABOVE = LATIN CAPITAL LETTER H + COMBINING DOT ABOVE
	s/\xE7\x49/\&\#x0130;/g 		# LATIN CAPITAL LETTER I WITH DOT ABOVE = LATIN CAPITAL LETTER I + COMBINING DOT ABOVE
	s/\xE7\x4D/\&\#x1E40;/g 		# LATIN CAPITAL LETTER M WITH DOT ABOVE = LATIN CAPITAL LETTER M + COMBINING DOT ABOVE
	s/\xE7\x4E/\&\#x1E44;/g 		# LATIN CAPITAL LETTER N WITH DOT ABOVE = LATIN CAPITAL LETTER N + COMBINING DOT ABOVE
	s/\xE7\x50/\&\#x1E56;/g 		# LATIN CAPITAL LETTER P WITH DOT ABOVE = LATIN CAPITAL LETTER P + COMBINING DOT ABOVE
	s/\xE7\x52/\&\#x1E58;/g 		# LATIN CAPITAL LETTER R WITH DOT ABOVE = LATIN CAPITAL LETTER R + COMBINING DOT ABOVE
	s/\xE7\x53/\&\#x1E60;/g 		# LATIN CAPITAL LETTER S WITH DOT ABOVE = LATIN CAPITAL LETTER S + COMBINING DOT ABOVE
	s/\xE7\x54/\&\#x1E6A;/g 		# LATIN CAPITAL LETTER T WITH DOT ABOVE = LATIN CAPITAL LETTER T + COMBINING DOT ABOVE
	s/\xE7\x57/\&\#x1E86;/g 		# LATIN CAPITAL LETTER W WITH DOT ABOVE = LATIN CAPITAL LETTER W + COMBINING DOT ABOVE
	s/\xE7\x58/\&\#x1E8A;/g 		# LATIN CAPITAL LETTER X WITH DOT ABOVE = LATIN CAPITAL LETTER X + COMBINING DOT ABOVE
	s/\xE7\x59/\&\#x1E8E;/g 		# LATIN CAPITAL LETTER Y WITH DOT ABOVE = LATIN CAPITAL LETTER Y + COMBINING DOT ABOVE
	s/\xE7\x5A/\&\#x017B;/g 		# LATIN CAPITAL LETTER Z WITH DOT ABOVE = LATIN CAPITAL LETTER Z + COMBINING DOT ABOVE
	s/\xE7\x62/\&\#x1E03;/g 		# LATIN SMALL LETTER B WITH DOT ABOVE = LATIN SMALL LETTER B + COMBINING DOT ABOVE
	s/\xE7\x63/\&\#x010B;/g 		# LATIN SMALL LETTER C WITH DOT ABOVE = LATIN SMALL LETTER C + COMBINING DOT ABOVE
	s/\xE7\x64/\&\#x1E0B;/g 		# LATIN SMALL LETTER D WITH DOT ABOVE = LATIN SMALL LETTER D + COMBINING DOT ABOVE
	s/\xE7\x65/\&\#x0117;/g 		# LATIN SMALL LETTER E WITH DOT ABOVE = LATIN SMALL LETTER E + COMBINING DOT ABOVE
	s/\xE7\x66/\&\#x1E1F;/g 		# LATIN SMALL LETTER F WITH DOT ABOVE = LATIN SMALL LETTER F + COMBINING DOT ABOVE
	s/\xE7\x67/\&\#x0121;/g 		# LATIN SMALL LETTER G WITH DOT ABOVE = LATIN SMALL LETTER G + COMBINING DOT ABOVE
	s/\xE7\x68/\&\#x1E23;/g 		# LATIN SMALL LETTER H WITH DOT ABOVE = LATIN SMALL LETTER H + COMBINING DOT ABOVE
	s/\xE7\x6D/\&\#x1E41;/g 		# LATIN SMALL LETTER M WITH DOT ABOVE = LATIN SMALL LETTER M + COMBINING DOT ABOVE
	s/\xE7\x6E/\&\#x1E45;/g 		# LATIN SMALL LETTER N WITH DOT ABOVE = LATIN SMALL LETTER N + COMBINING DOT ABOVE
	s/\xE7\x70/\&\#x1E57;/g 		# LATIN SMALL LETTER P WITH DOT ABOVE = LATIN SMALL LETTER P + COMBINING DOT ABOVE
	s/\xE7\x72/\&\#x1E59;/g 		# LATIN SMALL LETTER R WITH DOT ABOVE = LATIN SMALL LETTER R + COMBINING DOT ABOVE
	s/\xE7\x73/\&\#x1E61;/g 		# LATIN SMALL LETTER S WITH DOT ABOVE = LATIN SMALL LETTER S + COMBINING DOT ABOVE
	s/\xE7\x74/\&\#x1E6B;/g 		# LATIN SMALL LETTER T WITH DOT ABOVE = LATIN SMALL LETTER T + COMBINING DOT ABOVE
	s/\xE7\x77/\&\#x1E87;/g 		# LATIN SMALL LETTER W WITH DOT ABOVE = LATIN SMALL LETTER W + COMBINING DOT ABOVE
	s/\xE7\x78/\&\#x1E8B;/g 		# LATIN SMALL LETTER X WITH DOT ABOVE = LATIN SMALL LETTER X + COMBINING DOT ABOVE
	s/\xE7\x79/\&\#x1E8F;/g 		# LATIN SMALL LETTER Y WITH DOT ABOVE = LATIN SMALL LETTER Y + COMBINING DOT ABOVE
	s/\xE7\x7A/\&\#x017C;/g 		# LATIN SMALL LETTER Z WITH DOT ABOVE = LATIN SMALL LETTER Z + COMBINING DOT ABOVE
	s/\xE7/\&\#x0307;/g 		#combining dot above
}

/\xE8/ {
	s/\xE8\x41/\&\#x00C4;/g 		# LATIN CAPITAL LETTER A WITH DIAERESIS = LATIN CAPITAL LETTER A + COMBINING DIAERESIS
	s/\xE8\x45/\&\#x00CB;/g 		# LATIN CAPITAL LETTER E WITH DIAERESIS = LATIN CAPITAL LETTER E + COMBINING DIAERESIS
	s/\xE8\x48/\&\#x1E26;/g 		# LATIN CAPITAL LETTER H WITH DIAERESIS = LATIN CAPITAL LETTER H + COMBINING DIAERESIS
	s/\xE8\x49/\&\#x00CF;/g 		# LATIN CAPITAL LETTER I WITH DIAERESIS = LATIN CAPITAL LETTER I + COMBINING DIAERESIS
	s/\xE8\x4F/\&\#x00D6;/g 		# LATIN CAPITAL LETTER O WITH DIAERESIS = LATIN CAPITAL LETTER O + COMBINING DIAERESIS
	s/\xE8\x55/\&\#x00DC;/g 		# LATIN CAPITAL LETTER U WITH DIAERESIS = LATIN CAPITAL LETTER U + COMBINING DIAERESIS
	s/\xE8\x57/\&\#x1E84;/g 		# LATIN CAPITAL LETTER W WITH DIAERESIS = LATIN CAPITAL LETTER W + COMBINING DIAERESIS
	s/\xE8\x58/\&\#x1E8C;/g 		# LATIN CAPITAL LETTER X WITH DIAERESIS = LATIN CAPITAL LETTER X + COMBINING DIAERESIS
	s/\xE8\x59/\&\#x0178;/g 		# LATIN CAPITAL LETTER Y WITH DIAERESIS = LATIN CAPITAL LETTER Y + COMBINING DIAERESIS
	s/\xE8\x61/\&\#x00E4;/g 		# LATIN SMALL LETTER A WITH DIAERESIS = LATIN SMALL LETTER A + COMBINING DIAERESIS
	s/\xE8\x65/\&\#x00EB;/g 		# LATIN SMALL LETTER E WITH DIAERESIS = LATIN SMALL LETTER E + COMBINING DIAERESIS
	s/\xE8\x68/\&\#x1E27;/g 		# LATIN SMALL LETTER H WITH DIAERESIS = LATIN SMALL LETTER H + COMBINING DIAERESIS
	s/\xE8\x69/\&\#x00EF;/g 		# LATIN SMALL LETTER I WITH DIAERESIS = LATIN SMALL LETTER I + COMBINING DIAERESIS
	s/\xE8\x6F/\&\#x00F6;/g 		# LATIN SMALL LETTER O WITH DIAERESIS = LATIN SMALL LETTER O + COMBINING DIAERESIS
	s/\xE8\x74/\&\#x1E97;/g 		# LATIN SMALL LETTER T WITH DIAERESIS = LATIN SMALL LETTER T + COMBINING DIAERESIS
	s/\xE8\x75/\&\#x00FC;/g 		# LATIN SMALL LETTER U WITH DIAERESIS = LATIN SMALL LETTER U + COMBINING DIAERESIS
	s/\xE8\x77/\&\#x1E85;/g 		# LATIN SMALL LETTER W WITH DIAERESIS = LATIN SMALL LETTER W + COMBINING DIAERESIS
	s/\xE8\x78/\&\#x1E8D;/g 		# LATIN SMALL LETTER X WITH DIAERESIS = LATIN SMALL LETTER X + COMBINING DIAERESIS
	s/\xE8\x79/\&\#x00FF;/g 		# LATIN SMALL LETTER Y WITH DIAERESIS = LATIN SMALL LETTER Y + COMBINING DIAERESIS
	s/\xE8/\&\#x0308;/g 		#combining diaeresis
}

/\xE9/ {
	s/\xE9\x41/\&\#x01CD;/g 		# LATIN CAPITAL LETTER A WITH CARON = LATIN CAPITAL LETTER A + COMBINING CARON
	s/\xE9\x43/\&\#x010C;/g 		# LATIN CAPITAL LETTER C WITH CARON = LATIN CAPITAL LETTER C + COMBINING CARON
	s/\xE9\x44/\&\#x010E;/g 		# LATIN CAPITAL LETTER D WITH CARON = LATIN CAPITAL LETTER D + COMBINING CARON
	s/\xE9\x45/\&\#x011A;/g 		# LATIN CAPITAL LETTER E WITH CARON = LATIN CAPITAL LETTER E + COMBINING CARON
	s/\xE9\x47/\&\#x01E6;/g 		# LATIN CAPITAL LETTER G WITH CARON = LATIN CAPITAL LETTER G + COMBINING CARON
	s/\xE9\x49/\&\#x01CF;/g 		# LATIN CAPITAL LETTER I WITH CARON = LATIN CAPITAL LETTER I + COMBINING CARON
	s/\xE9\x4B/\&\#x01E8;/g 		# LATIN CAPITAL LETTER K WITH CARON = LATIN CAPITAL LETTER K + COMBINING CARON
	s/\xE9\x4C/\&\#x013D;/g 		# LATIN CAPITAL LETTER L WITH CARON = LATIN CAPITAL LETTER L + COMBINING CARON
	s/\xE9\x4E/\&\#x0147;/g 		# LATIN CAPITAL LETTER N WITH CARON = LATIN CAPITAL LETTER N + COMBINING CARON
	s/\xE9\x4F/\&\#x01D1;/g 		# LATIN CAPITAL LETTER O WITH CARON = LATIN CAPITAL LETTER O + COMBINING CARON
	s/\xE9\x52/\&\#x0158;/g 		# LATIN CAPITAL LETTER R WITH CARON = LATIN CAPITAL LETTER R + COMBINING CARON
	s/\xE9\x53/\&\#x0160;/g 		# LATIN CAPITAL LETTER S WITH CARON = LATIN CAPITAL LETTER S + COMBINING CARON
	s/\xE9\x54/\&\#x0164;/g 		# LATIN CAPITAL LETTER T WITH CARON = LATIN CAPITAL LETTER T + COMBINING CARON
	s/\xE9\x55/\&\#x01D3;/g 		# LATIN CAPITAL LETTER U WITH CARON = LATIN CAPITAL LETTER U + COMBINING CARON
	s/\xE9\x5A/\&\#x017D;/g 		# LATIN CAPITAL LETTER Z WITH CARON = LATIN CAPITAL LETTER Z + COMBINING CARON
	s/\xE9\x61/\&\#x01CE;/g 		# LATIN SMALL LETTER A WITH CARON = LATIN SMALL LETTER A + COMBINING CARON
	s/\xE9\x63/\&\#x010D;/g 		# LATIN SMALL LETTER C WITH CARON = LATIN SMALL LETTER C + COMBINING CARON
	s/\xE9\x64/\&\#x010F;/g 		# LATIN SMALL LETTER D WITH CARON = LATIN SMALL LETTER D + COMBINING CARON
	s/\xE9\x65/\&\#x011B;/g 		# LATIN SMALL LETTER E WITH CARON = LATIN SMALL LETTER E + COMBINING CARON
	s/\xE9\x67/\&\#x01E7;/g 		# LATIN SMALL LETTER G WITH CARON = LATIN SMALL LETTER G + COMBINING CARON
	s/\xE9\x69/\&\#x01D0;/g 		# LATIN SMALL LETTER I WITH CARON = LATIN SMALL LETTER I + COMBINING CARON
	s/\xE9\x6A/\&\#x01F0;/g 		# LATIN SMALL LETTER J WITH CARON = LATIN SMALL LETTER J + COMBINING CARON
	s/\xE9\x6B/\&\#x01E9;/g 		# LATIN SMALL LETTER K WITH CARON = LATIN SMALL LETTER K + COMBINING CARON
	s/\xE9\x6C/\&\#x013E;/g 		# LATIN SMALL LETTER L WITH CARON = LATIN SMALL LETTER L + COMBINING CARON
	s/\xE9\x6E/\&\#x0148;/g 		# LATIN SMALL LETTER N WITH CARON = LATIN SMALL LETTER N + COMBINING CARON
	s/\xE9\x6F/\&\#x01D2;/g 		# LATIN SMALL LETTER O WITH CARON = LATIN SMALL LETTER O + COMBINING CARON
	s/\xE9\x72/\&\#x0159;/g 		# LATIN SMALL LETTER R WITH CARON = LATIN SMALL LETTER R + COMBINING CARON
	s/\xE9\x73/\&\#x0161;/g 		# LATIN SMALL LETTER S WITH CARON = LATIN SMALL LETTER S + COMBINING CARON
	s/\xE9\x74/\&\#x0165;/g 		# LATIN SMALL LETTER T WITH CARON = LATIN SMALL LETTER T + COMBINING CARON
	s/\xE9\x75/\&\#x01D4;/g 		# LATIN SMALL LETTER U WITH CARON = LATIN SMALL LETTER U + COMBINING CARON
	s/\xE9\x7A/\&\#x017E;/g 		# LATIN SMALL LETTER Z WITH CARON = LATIN SMALL LETTER Z + COMBINING CARON
	s/\xE9/\&\#x030C;/g 		#combining caron
}

/\xEA/ {
	s/\xEA\x41/\&\#x00C5;/g 		# LATIN CAPITAL LETTER A WITH RING ABOVE = LATIN CAPITAL LETTER A + COMBINING RING ABOVE
	s/\xEA\x55/\&\#x016E;/g 		# LATIN CAPITAL LETTER U WITH RING ABOVE = LATIN CAPITAL LETTER U + COMBINING RING ABOVE
	s/\xEA\x61/\&\#x00E5;/g 		# LATIN SMALL LETTER A WITH RING ABOVE = LATIN SMALL LETTER A + COMBINING RING ABOVE
	s/\xEA\x75/\&\#x016F;/g 		# LATIN SMALL LETTER U WITH RING ABOVE = LATIN SMALL LETTER U + COMBINING RING ABOVE
	s/\xEA\x77/\&\#x1E98;/g 		# LATIN SMALL LETTER W WITH RING ABOVE = LATIN SMALL LETTER W + COMBINING RING ABOVE
	s/\xEA\x79/\&\#x1E99;/g 		# LATIN SMALL LETTER Y WITH RING ABOVE = LATIN SMALL LETTER Y + COMBINING RING ABOVE
	s/\xEA/\&\#x030A;/g 		#combining ring above
}

s/\xEB/\&\#xFE20;/g 		#combining ligature left half

s/\xEC/\&\#xFE21;/g 		#combining ligature right half

s/\xED/\&\#x0315;/g 		#combining comma above right

/\xEE/ {
	s/\xEE\x4F/\&\#x0150;/g 		# LATIN CAPITAL LETTER O WITH DOUBLE ACUTE = LATIN CAPITAL LETTER O + COMBINING DOUBLE ACUTE ACCENT
	s/\xEE\x55/\&\#x0170;/g 		# LATIN CAPITAL LETTER U WITH DOUBLE ACUTE = LATIN CAPITAL LETTER U + COMBINING DOUBLE ACUTE ACCENT
	s/\xEE\x6F/\&\#x0151;/g 		# LATIN SMALL LETTER O WITH DOUBLE ACUTE = LATIN SMALL LETTER O + COMBINING DOUBLE ACUTE ACCENT
	s/\xEE\x75/\&\#x0171;/g 		# LATIN SMALL LETTER U WITH DOUBLE ACUTE = LATIN SMALL LETTER U + COMBINING DOUBLE ACUTE ACCENT
	s/\xEE/\&\#x030B;/g 		#combining double acute accent
}

s/\xEF/\&\#x0310;/g 		#combining candrabindu

/\xF0/ {
	s/\xF0\x43/\&\#x00C7;/g 		# LATIN CAPITAL LETTER C WITH CEDILLA = LATIN CAPITAL LETTER C + COMBINING CEDILLA
	s/\xF0\x44/\&\#x1E10;/g 		# LATIN CAPITAL LETTER D WITH CEDILLA = LATIN CAPITAL LETTER D + COMBINING CEDILLA
	s/\xF0\x47/\&\#x0122;/g 		# LATIN CAPITAL LETTER G WITH CEDILLA = LATIN CAPITAL LETTER G + COMBINING CEDILLA
	s/\xF0\x48/\&\#x1E28;/g 		# LATIN CAPITAL LETTER H WITH CEDILLA = LATIN CAPITAL LETTER H + COMBINING CEDILLA
	s/\xF0\x4B/\&\#x0136;/g 		# LATIN CAPITAL LETTER K WITH CEDILLA = LATIN CAPITAL LETTER K + COMBINING CEDILLA
	s/\xF0\x4C/\&\#x013B;/g 		# LATIN CAPITAL LETTER L WITH CEDILLA = LATIN CAPITAL LETTER L + COMBINING CEDILLA
	s/\xF0\x4E/\&\#x0145;/g 		# LATIN CAPITAL LETTER N WITH CEDILLA = LATIN CAPITAL LETTER N + COMBINING CEDILLA
	s/\xF0\x52/\&\#x0156;/g 		# LATIN CAPITAL LETTER R WITH CEDILLA = LATIN CAPITAL LETTER R + COMBINING CEDILLA
	s/\xF0\x53/\&\#x015E;/g 		# LATIN CAPITAL LETTER S WITH CEDILLA = LATIN CAPITAL LETTER S + COMBINING CEDILLA
	s/\xF0\x54/\&\#x0162;/g 		# LATIN CAPITAL LETTER T WITH CEDILLA = LATIN CAPITAL LETTER T + COMBINING CEDILLA
	s/\xF0\x63/\&\#x00E7;/g 		# LATIN SMALL LETTER C WITH CEDILLA = LATIN SMALL LETTER C + COMBINING CEDILLA
	s/\xF0\x64/\&\#x1E11;/g 		# LATIN SMALL LETTER D WITH CEDILLA = LATIN SMALL LETTER D + COMBINING CEDILLA
	s/\xF0\x67/\&\#x0123;/g 		# LATIN SMALL LETTER G WITH CEDILLA = LATIN SMALL LETTER G + COMBINING CEDILLA
	s/\xF0\x68/\&\#x1E29;/g 		# LATIN SMALL LETTER H WITH CEDILLA = LATIN SMALL LETTER H + COMBINING CEDILLA
	s/\xF0\x6B/\&\#x0137;/g 		# LATIN SMALL LETTER K WITH CEDILLA = LATIN SMALL LETTER K + COMBINING CEDILLA
	s/\xF0\x6C/\&\#x013C;/g 		# LATIN SMALL LETTER L WITH CEDILLA = LATIN SMALL LETTER L + COMBINING CEDILLA
	s/\xF0\x6E/\&\#x0146;/g 		# LATIN SMALL LETTER N WITH CEDILLA = LATIN SMALL LETTER N + COMBINING CEDILLA
	s/\xF0\x72/\&\#x0157;/g 		# LATIN SMALL LETTER R WITH CEDILLA = LATIN SMALL LETTER R + COMBINING CEDILLA
	s/\xF0\x73/\&\#x015F;/g 		# LATIN SMALL LETTER S WITH CEDILLA = LATIN SMALL LETTER S + COMBINING CEDILLA
	s/\xF0\x74/\&\#x0163;/g 		# LATIN SMALL LETTER T WITH CEDILLA = LATIN SMALL LETTER T + COMBINING CEDILLA
	s/\xF0/\&\#x0327;/g 		#combining cedilla
}

/\xF1/ {
	s/\xF1\x41/\&\#x0104;/g 		# LATIN CAPITAL LETTER A WITH OGONEK = LATIN CAPITAL LETTER A + COMBINING OGONEK
	s/\xF1\x45/\&\#x0118;/g 		# LATIN CAPITAL LETTER E WITH OGONEK = LATIN CAPITAL LETTER E + COMBINING OGONEK
	s/\xF1\x49/\&\#x012E;/g 		# LATIN CAPITAL LETTER I WITH OGONEK = LATIN CAPITAL LETTER I + COMBINING OGONEK
	s/\xF1\x4F/\&\#x01EA;/g 		# LATIN CAPITAL LETTER O WITH OGONEK = LATIN CAPITAL LETTER O + COMBINING OGONEK
	s/\xF1\x55/\&\#x0172;/g 		# LATIN CAPITAL LETTER U WITH OGONEK = LATIN CAPITAL LETTER U + COMBINING OGONEK
	s/\xF1\x61/\&\#x0105;/g 		# LATIN SMALL LETTER A WITH OGONEK = LATIN SMALL LETTER A + COMBINING OGONEK
	s/\xF1\x65/\&\#x0119;/g 		# LATIN SMALL LETTER E WITH OGONEK = LATIN SMALL LETTER E + COMBINING OGONEK
	s/\xF1\x69/\&\#x012F;/g 		# LATIN SMALL LETTER I WITH OGONEK = LATIN SMALL LETTER I + COMBINING OGONEK
	s/\xF1\x6F/\&\#x01EB;/g 		# LATIN SMALL LETTER O WITH OGONEK = LATIN SMALL LETTER O + COMBINING OGONEK
	s/\xF1\x75/\&\#x0173;/g 		# LATIN SMALL LETTER U WITH OGONEK = LATIN SMALL LETTER U + COMBINING OGONEK
	s/\xF1/\&\#x0328;/g 		#combining ogonek
}

/\xF2/ {
	s/\xF2\x41/\&\#x1EA0;/g 		# LATIN CAPITAL LETTER A WITH DOT BELOW = LATIN CAPITAL LETTER A + COMBINING DOT BELOW
	s/\xF2\x42/\&\#x1E04;/g 		# LATIN CAPITAL LETTER B WITH DOT BELOW = LATIN CAPITAL LETTER B + COMBINING DOT BELOW
	s/\xF2\x44/\&\#x1E0C;/g 		# LATIN CAPITAL LETTER D WITH DOT BELOW = LATIN CAPITAL LETTER D + COMBINING DOT BELOW
	s/\xF2\x45/\&\#x1EB8;/g 		# LATIN CAPITAL LETTER E WITH DOT BELOW = LATIN CAPITAL LETTER E + COMBINING DOT BELOW
	s/\xF2\x48/\&\#x1E24;/g 		# LATIN CAPITAL LETTER H WITH DOT BELOW = LATIN CAPITAL LETTER H + COMBINING DOT BELOW
	s/\xF2\x49/\&\#x1ECA;/g 		# LATIN CAPITAL LETTER I WITH DOT BELOW = LATIN CAPITAL LETTER I + COMBINING DOT BELOW
	s/\xF2\x4B/\&\#x1E32;/g 		# LATIN CAPITAL LETTER K WITH DOT BELOW = LATIN CAPITAL LETTER K + COMBINING DOT BELOW
	s/\xF2\x4C/\&\#x1E36;/g 		# LATIN CAPITAL LETTER L WITH DOT BELOW = LATIN CAPITAL LETTER L + COMBINING DOT BELOW
	s/\xF2\x4D/\&\#x1E42;/g 		# LATIN CAPITAL LETTER M WITH DOT BELOW = LATIN CAPITAL LETTER M + COMBINING DOT BELOW
	s/\xF2\x4E/\&\#x1E46;/g 		# LATIN CAPITAL LETTER N WITH DOT BELOW = LATIN CAPITAL LETTER N + COMBINING DOT BELOW
	s/\xF2\x4F/\&\#x1ECC;/g 		# LATIN CAPITAL LETTER O WITH DOT BELOW = LATIN CAPITAL LETTER O + COMBINING DOT BELOW
	s/\xF2\x52/\&\#x1E5A;/g 		# LATIN CAPITAL LETTER R WITH DOT BELOW = LATIN CAPITAL LETTER R + COMBINING DOT BELOW
	s/\xF2\x53/\&\#x1E62;/g 		# LATIN CAPITAL LETTER S WITH DOT BELOW = LATIN CAPITAL LETTER S + COMBINING DOT BELOW
	s/\xF2\x54/\&\#x1E6C;/g 		# LATIN CAPITAL LETTER T WITH DOT BELOW = LATIN CAPITAL LETTER T + COMBINING DOT BELOW
	s/\xF2\x55/\&\#x1EE4;/g 		# LATIN CAPITAL LETTER U WITH DOT BELOW = LATIN CAPITAL LETTER U + COMBINING DOT BELOW
	s/\xF2\x56/\&\#x1E7E;/g 		# LATIN CAPITAL LETTER V WITH DOT BELOW = LATIN CAPITAL LETTER V + COMBINING DOT BELOW
	s/\xF2\x57/\&\#x1E88;/g 		# LATIN CAPITAL LETTER W WITH DOT BELOW = LATIN CAPITAL LETTER W + COMBINING DOT BELOW
	s/\xF2\x59/\&\#x1EF4;/g 		# LATIN CAPITAL LETTER Y WITH DOT BELOW = LATIN CAPITAL LETTER Y + COMBINING DOT BELOW
	s/\xF2\x5A/\&\#x1E92;/g 		# LATIN CAPITAL LETTER Z WITH DOT BELOW = LATIN CAPITAL LETTER Z + COMBINING DOT BELOW
	s/\xF2\x61/\&\#x1EA1;/g 		# LATIN SMALL LETTER A WITH DOT BELOW = LATIN SMALL LETTER A + COMBINING DOT BELOW
	s/\xF2\x62/\&\#x1E05;/g 		# LATIN SMALL LETTER B WITH DOT BELOW = LATIN SMALL LETTER B + COMBINING DOT BELOW
	s/\xF2\x64/\&\#x1E0D;/g 		# LATIN SMALL LETTER D WITH DOT BELOW = LATIN SMALL LETTER D + COMBINING DOT BELOW
	s/\xF2\x65/\&\#x1EB9;/g 		# LATIN SMALL LETTER E WITH DOT BELOW = LATIN SMALL LETTER E + COMBINING DOT BELOW
	s/\xF2\x68/\&\#x1E25;/g 		# LATIN SMALL LETTER H WITH DOT BELOW = LATIN SMALL LETTER H + COMBINING DOT BELOW
	s/\xF2\x69/\&\#x1ECB;/g 		# LATIN SMALL LETTER I WITH DOT BELOW = LATIN SMALL LETTER I + COMBINING DOT BELOW
	s/\xF2\x6B/\&\#x1E33;/g 		# LATIN SMALL LETTER K WITH DOT BELOW = LATIN SMALL LETTER K + COMBINING DOT BELOW
	s/\xF2\x6C/\&\#x1E37;/g 		# LATIN SMALL LETTER L WITH DOT BELOW = LATIN SMALL LETTER L + COMBINING DOT BELOW
	s/\xF2\x6D/\&\#x1E43;/g 		# LATIN SMALL LETTER M WITH DOT BELOW = LATIN SMALL LETTER M + COMBINING DOT BELOW
	s/\xF2\x6E/\&\#x1E47;/g 		# LATIN SMALL LETTER N WITH DOT BELOW = LATIN SMALL LETTER N + COMBINING DOT BELOW
	s/\xF2\x6F/\&\#x1ECD;/g 		# LATIN SMALL LETTER O WITH DOT BELOW = LATIN SMALL LETTER O + COMBINING DOT BELOW
	s/\xF2\x72/\&\#x1E5B;/g 		# LATIN SMALL LETTER R WITH DOT BELOW = LATIN SMALL LETTER R + COMBINING DOT BELOW
	s/\xF2\x73/\&\#x1E63;/g 		# LATIN SMALL LETTER S WITH DOT BELOW = LATIN SMALL LETTER S + COMBINING DOT BELOW
	s/\xF2\x74/\&\#x1E6D;/g 		# LATIN SMALL LETTER T WITH DOT BELOW = LATIN SMALL LETTER T + COMBINING DOT BELOW
	s/\xF2\x75/\&\#x1EE5;/g 		# LATIN SMALL LETTER U WITH DOT BELOW = LATIN SMALL LETTER U + COMBINING DOT BELOW
	s/\xF2\x76/\&\#x1E7F;/g 		# LATIN SMALL LETTER V WITH DOT BELOW = LATIN SMALL LETTER V + COMBINING DOT BELOW
	s/\xF2\x77/\&\#x1E89;/g 		# LATIN SMALL LETTER W WITH DOT BELOW = LATIN SMALL LETTER W + COMBINING DOT BELOW
	s/\xF2\x79/\&\#x1EF5;/g 		# LATIN SMALL LETTER Y WITH DOT BELOW = LATIN SMALL LETTER Y + COMBINING DOT BELOW
	s/\xF2\x7A/\&\#x1E93;/g 		# LATIN SMALL LETTER Z WITH DOT BELOW = LATIN SMALL LETTER Z + COMBINING DOT BELOW
	s/\xF2/\&\#x0323;/g 		#combining dot below
}

/\xF3/ {
	s/\xF3\x55/\&\#x1E72;/g 		# LATIN CAPITAL LETTER U WITH DIAERESIS BELOW = LATIN CAPITAL LETTER U + COMBINING DIAERESIS BELOW
	s/\xF3\x75/\&\#x1E73;/g 		# LATIN SMALL LETTER U WITH DIAERESIS BELOW = LATIN SMALL LETTER U + COMBINING DIAERESIS BELOW
	s/\xF3/\&\#x0324;/g 		#combining diaeresis below
}

/\xF4/ {
	s/\xF4\x41/\&\#x1E00;/g 		# LATIN CAPITAL LETTER A WITH RING BELOW = LATIN CAPITAL LETTER A + COMBINING RING BELOW
	s/\xF4\x61/\&\#x1E01;/g 		# LATIN SMALL LETTER A WITH RING BELOW = LATIN SMALL LETTER A + COMBINING RING BELOW
	s/\xF4/\&\#x0325;/g 		#combining ring below
}

s/\xF5/\&\#x0333;/g 		#combining double low line

/\xF6/ {
	s/\xF6\x42/\&\#x1E06;/g 		# LATIN CAPITAL LETTER B WITH LINE BELOW = LATIN CAPITAL LETTER B + COMBINING LOW LINE
	s/\xF6\x44/\&\#x1E0E;/g 		# LATIN CAPITAL LETTER D WITH LINE BELOW = LATIN CAPITAL LETTER D + COMBINING LOW LINE
	s/\xF6\x4B/\&\#x1E34;/g 		# LATIN CAPITAL LETTER K WITH LINE BELOW = LATIN CAPITAL LETTER K + COMBINING LOW LINE
	s/\xF6\x4C/\&\#x1E3A;/g 		# LATIN CAPITAL LETTER L WITH LINE BELOW = LATIN CAPITAL LETTER L + COMBINING LOW LINE
	s/\xF6\x4E/\&\#x1E48;/g 		# LATIN CAPITAL LETTER N WITH LINE BELOW = LATIN CAPITAL LETTER N + COMBINING LOW LINE
	s/\xF6\x52/\&\#x1E5E;/g 		# LATIN CAPITAL LETTER R WITH LINE BELOW = LATIN CAPITAL LETTER R + COMBINING LOW LINE
	s/\xF6\x54/\&\#x1E6E;/g 		# LATIN CAPITAL LETTER T WITH LINE BELOW = LATIN CAPITAL LETTER T + COMBINING LOW LINE
	s/\xF6\x5A/\&\#x1E94;/g 		# LATIN CAPITAL LETTER Z WITH LINE BELOW = LATIN CAPITAL LETTER Z + COMBINING LOW LINE
	s/\xF6\x62/\&\#x1E07;/g 		# LATIN SMALL LETTER B WITH LINE BELOW = LATIN SMALL LETTER B + COMBINING LOW LINE
	s/\xF6\x64/\&\#x1E0F;/g 		# LATIN SMALL LETTER D WITH LINE BELOW = LATIN SMALL LETTER D + COMBINING LOW LINE
	s/\xF6\x68/\&\#x1E96;/g 		# LATIN SMALL LETTER H WITH LINE BELOW = LATIN SMALL LETTER H + COMBINING LOW LINE
	s/\xF6\x6B/\&\#x1E35;/g 		# LATIN SMALL LETTER K WITH LINE BELOW = LATIN SMALL LETTER K + COMBINING LOW LINE
	s/\xF6\x6C/\&\#x1E3B;/g 		# LATIN SMALL LETTER L WITH LINE BELOW = LATIN SMALL LETTER L + COMBINING LOW LINE
	s/\xF6\x6E/\&\#x1E49;/g 		# LATIN SMALL LETTER N WITH LINE BELOW = LATIN SMALL LETTER N + COMBINING LOW LINE
	s/\xF6\x72/\&\#x1E5F;/g 		# LATIN SMALL LETTER R WITH LINE BELOW = LATIN SMALL LETTER R + COMBINING LOW LINE
	s/\xF6\x74/\&\#x1E6F;/g 		# LATIN SMALL LETTER T WITH LINE BELOW = LATIN SMALL LETTER T + COMBINING LOW LINE
	s/\xF6\x7A/\&\#x1E95;/g 		# LATIN SMALL LETTER Z WITH LINE BELOW = LATIN SMALL LETTER Z + COMBINING LOW LINE
	s/\xF6/\&\#x0332;/g 		#combining low line
}

s/\xF7/\&\#x0326;/g 		#combining comma below

s/\xF8/\&\#x031C;/g 		#combining left half ring below

/\xF9/ {
	s/\xF9\x48/\&\#x1E2A;/g 		# LATIN CAPITAL LETTER H WITH BREVE BELOW = LATIN CAPITAL LETTER H + COMBINING BREVE BELOW
	s/\xF9\x68/\&\#x1E2B;/g 		# LATIN SMALL LETTER H WITH BREVE BELOW = LATIN SMALL LETTER H + COMBINING BREVE BELOW
	s/\xF9/\&\#x032E;/g 		#combining breve below
}

s/\xFA/\&\#xFE22;/g 		#combining double tilde left half

s/\xFB/\&\#xFE23;/g 		#combining double tilde right half

s/\xFE/\&\#x0313;/g 		#comma above, high comma, centered

##
## remaining single spacing characters
##

/[\xA0-\xCF]/ {
	s/\xA1/\&\#x0141;/g 		#latin capital letter L with stroke
	s/\xA2/\&\#x00D8;/g 		#latin capital letter O with stroke
	s/\xA3/\&\#x0110;/g 		#latin capital letter D with stroke
	s/\xA4/\&\#x00DE;/g 		#latin capital letter thorn
	s/\xA5/\&\#x00C6;/g 		#latin capital letter AE
	s/\xA6/\&\#x0152;/g 		#latin capital ligature OE
	s/\xA7/\&\#x02B9;/g 		#modified letter prime
	s/\xA8/\&\#x00B7;/g 		#middle dot
	s/\xA9/\&\#x266D;/g 		#music flat sign
	s/\xAA/\&\#x00AE;/g 		#registered sign
	s/\xAB/\&\#x00B1;/g 		#plus-minus sign
	s/\xAC/\&\#x01A0;/g 		#latin capital letter O with horn
	s/\xAD/\&\#x01AF;/g 		#latin capital letter U with horn
	s/\xAE/\&\#x02BC;/g 		#modifier letter apostrophe
	s/\xB0/\&\#x02BB;/g 		#modifier letter turned comma
	s/\xB1/\&\#x0142;/g 		#latin small letter L with stroke
	s/\xB2/\&\#x00F8;/g 		#latin small letter O with stroke
	s/\xB3/\&\#x0111;/g 		#latin small letter D with stroke
	s/\xB4/\&\#x00FE;/g 		#latin small letter thorn
	s/\xB5/\&\#x00E6;/g 		#latin small letter AE
	s/\xB6/\&\#x0153;/g 		#latin small ligature OE
	s/\xB7/\&\#x02BA;/g 		#modified letter double prime
	s/\xB8/\&\#x0131;/g 		#latin small letter dotless i
	s/\xB9/\&\#x00A3;/g 		#pound sign
	s/\xBA/\&\#x00F0;/g 		#latin small letter eth
	s/\xBC/\&\#x01A1;/g 		#latin small letter O with horn
	s/\xBD/\&\#x01B0;/g 		#latin small letter U with horn
	s/\xC0/\&\#x00B0;/g 		#degree sign
	s/\xC1/\&\#x2113;/g 		#script small L
	s/\xC2/\&\#x2117;/g 		#sound recording copyright
	s/\xC3/\&\#x00A9;/g 		#copyright sign
	s/\xC4/\&\#x266F;/g 		#music sharp sign
	s/\xC5/\&\#x00BF;/g 		#inverted question mark
	s/\xC6/\&\#x00A1;/g 		#inverted exclamation mark
	s/\xCF/\&\#x00DF;/g 		#latin small letter sharp S
}
