###############################################################################
#~
#~ GEDCOM normalize or pretty print ~ <http://www.unterstein.net/ged1212xml>
#~
#~ format a GED-file with indents and blank lines (visually group records) in a first run
#~ normalize (remove, undo) the formattings according to standard in a second run to restore its validity
#~ run twice on GED-files with blank lines only somewhere (no indented lines) to get rid of all
#~
###############################################################################

# indent lines level 1-99 according to level*2 columns
#
/^[1-9][0-9]? / {
	emptyLN = 0; printf("%"($1*2)"s%s\n", "", $0); next;
}

# insert a blank line if not removed b4 level-0-line (= record-start) 
#
/^0 / {
	if (emptyLN) print; 
	else print "\n" $0;
	next;
}

# remove a blank line and remember this to prevent a reinsert
#
/^[ \t]*$/ {
	emptyLN = 1; next;
}

# remove existing indents, fake removal of blank line to prevent an insert
#
/^[ \t]+[0-9]/ {
	emptyLN = 1; sub(/^[ \t]+/,""); print; next;
}
