<?xml version="1.0" encoding="iso-8859-1"?>
<!--  ================================================  -->
<!--  ================================================  -->
<!--  ================================================

	Pimp My PI ~ stylesheet-skeleton
		
		for/from 
		
		<?DATE yyyy-mm-dd?>
		<?UUID xxxxxxxx-xxxx-4xxx-Yxxx-xxxxxxxxxxxx?>
		<?XUID {xxxxxxxx-xxxx-4xxx-Yxxx-xxxxxxxxxxxx}cccc?>
		<?XURN urn:uuid:xxxxxxxx-xxxx-4xxx-Yxxx-xxxxxxxxxxxx+cccc?>
		
		to include related ID and NODE as function-style arguments
		
		<?app ged_date("I83336","DEAT","yyyy-mm-dd");?>
		<?app ged_uuid("I83336","xxxxxxxx-xxxx-4xxx-Yxxx-xxxxxxxxxxxx");?>
		
		or XUID (combined embraced mixedcase {GUID}-style of RFC-4122-UUIDv4 and cccc-Checksum) 
		or XURN (extended prefixed lowercase "urn:uuid:UUIDv4+checksum", cf RFCs 2141 + 3986 + 4122)
		to PAF-GEDCOM-style "_UID"-Tag with CCCC-Checksum, all uppercase hexadigit notation of 16+2 Bytes (128+16 bits)
		
		<?PAF _UID XXXXXXXXXXXX4XXXYXXXXXXXXXXXXXXXCCCC?>
		
		feel free to adjust all this to your requirements

	2013 ~ Stefan Unterstein <http://unterstein.net/ged1212xml>

	This program is free software ("freeware"): 
	you can modify and/or redistribute it as you like.

	The program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

      ================================================  -->
<!--  ================================================  -->
<!--  ================================================  -->


<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                >
<xsl:output method="xml"
            media-type="application/xml"
			omit-xml-declaration="no"
            encoding="iso-8859-1" />

<xsl:template match="/">
	<xsl:apply-templates />
</xsl:template>

<xsl:template match="@*|node()"> <!-- pass through all but ... -->
	<xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy>
</xsl:template>


<!--  ================================================  -->
<!--  ================================================  -->


<xsl:variable name="DocEl" select="translate(local-name(/*[1]),'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')" />

<xsl:template match="processing-instruction('DATE')">
	<xsl:variable name="RelId" select="ancestor::*/@ID" />
	<xsl:variable name="RelPi" select="translate(name(),'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')" />
	<xsl:variable name="RelUp" select="local-name(parent::*)" />
	<xsl:processing-instruction name="app">
	    <xsl:value-of select="concat($DocEl,'_',$RelPi,'(&quot;',$RelId,'&quot;,&quot;',$RelUp,'&quot;,&quot;',.,'&quot;);')" />
	</xsl:processing-instruction>
</xsl:template>

<xsl:template match="processing-instruction('UUID')">
	<xsl:variable name="RelId" select="preceding-sibling::*[1]/@ID" />
	<xsl:variable name="RelPi" select="translate(name(),'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')" />
	<xsl:variable name="RelUp" select="local-name(preceding-sibling::*[1])" />
	<xsl:processing-instruction name="app">
	    <xsl:value-of select="concat($DocEl,'_',$RelPi,'(&quot;',$RelId,'&quot;,&quot;',.,'&quot;);')" />
	</xsl:processing-instruction>
</xsl:template>

<xsl:template match="processing-instruction('XUID')|processing-instruction('XURN')">
	<xsl:variable name="UID-of-URN">
    <xsl:choose>
        <xsl:when test="contains(.,'urn:uuid:')">
            <xsl:value-of select="substring-after(.,'urn:uuid:')" />
        </xsl:when>
        <xsl:otherwise><xsl:value-of select="." /></xsl:otherwise>
    </xsl:choose>
	</xsl:variable>
	<xsl:processing-instruction name="PAF">
	    <xsl:value-of select="concat('_UID ',translate($UID-of-URN,'abcdef-{ }+:','ABCDEF'))" /> <!-- get rid of non-hexdigits after abcdef -->
	</xsl:processing-instruction>
</xsl:template>


<!--  ================================================  -->
<!--  ================================================  -->
<!--  ================================================


      ================================================  -->
<!--  ================================================  -->
<!--  ================================================  -->

</xsl:stylesheet>

<!--  ================================================  -->
<!--  EOF                                               -->
<!--  ================================================  -->